(function() {
    if (Auth['authorized']()) {
        Language['append']('account', function() {
            Menu['extend']({
                'auth': {
                    'label': ['account', 'user', 'cabinet'],
                    'sub': {
                        'signin': {
                            'enabled': function() {
                                return Signin['enabled']() && Signin['unsigned']()
                            }
                        },
                        'account': {
                            'label': ['account', 'user', 'info'],
                            'enter': function() {
                                $['ajax']({
                                    'url': 'account/info',
                                    'async': ![],
                                    'success': function(b) {
                                        var a;
                                        if (a = b['info']) {
                                            Proto['alert']({
                                                'title': ['account', 'user', 'info'],
                                                'body': function() {
                                                    var b = '';
                                                    for (var c in a) {
                                                        b += '<div\x20class=\x22item\x22>' + Language['message'](['account', 'info', c]) + ':\x20' + Language['message'](['account', 'info', a[c]]) + '</div>'
                                                    }
                                                    return '<div\x20class=\x22list\x22>' + b + '</div>'
                                                },
                                                'opened': !![]
                                            })
                                        }
                                    }
                                })
                            }
                        },
                        'signout': {
                            'enabled': function() {
                                return Signin['signed']()
                            }
                        }
                    },
                    'enabled': !![]
                }
            })
        })
    }
}());