<?php
    header('Content-Type: application/json');

    if(!isset($_GET['mode'])){
        exit();
    }

    //Variaveis Globais.
    $BASE_INSTALL_PATH  = '/var/www/html/';
    $BASE_DNS_URL       = 'http://exemplo.servidor.net:4322';
    
    $MYSQL_SERVER_IP    = '127.0.0.1';
    $MYSQL_DB           = '';
    $MYSQL_USER         = '';
    $MYSQL_PASS         = '';

    switch($_GET['mode']){
        case 'dns':
            dns();
            break;
        case 'account':
            account();
            break;
        case 'auth':
            auth();
            break;
        case 'config':
            config();
            break;
        case 'datetime':
            datetime();
            break;
        case 'lang':
            lang();
            break;
        case 'ping':
            ping();
            break;
        case 'storage':
            storage();
            break;
        case 'playlist':
            playlist('tv');
            break;
        case 'vod':
            playlist('vod');
            break;
        case 'epg':
            epg();
            break;
        case 'sinopse':
            sinopse();
            break;
        case 'catalog':
            catalog();
            break;
        case 'categorias':
            categorias();
            break;
        case 'video':
            video();
    }

    function dns(){
        $LISTA_DNS = array(
            'http://exemplo.servidor.net:4322' 
        );

        $LISTA_ATSL = array(
            'http://exemplo.servidor.net:4322' 
        );

        $dns_final = array();

        for($i = 0; $i <= count($LISTA_DNS) -1; $i++){
            $label = $i + 1;
            array_push($dns_final, array('label' => "DNS $label", 'value' => $LISTA_DNS[$i]));
        }

        for($i = 0; $i <= count($LISTA_ATSL) -1; $i++){
            $label = $i + 1;
            array_push($dns_final, array('label' => "DNS $label (VPN)", 'value' => $LISTA_ATSL[$i]));
        }
        echo json_encode($dns_final);
        exit();
    }

    function account(){
        if(isset($_POST['token'])){
            $data   = $_POST['token'];
            $data_p = explode('"', base64_decode($data));
        
            $user = $data_p[3];
            $pass = $data_p[7];

            $url = $GLOBALS['BASE_DNS_URL'] . '/player_api.php?username='.$user.'&password=' . $pass;

            $resp = getData($url);
            $resp_d = json_decode($resp);
        
            echo json_encode(array("info" => array("username" => $resp_d->user_info->username, "till" => date('d/m/Y', $resp_d->user_info->exp_date))));
            exit();
        }else{
            exit();
        }
    }

    function auth(){
        if(isset($_POST['aid'])){
            if(isset($_POST['signin'])){
                $user = $_POST['signin']['login'];
                $pass = $_POST['signin']['password'];

                if(checkuser($user, $pass)){
                    $token = 'a:3:{s:5:"login";s:8:"' . $user . '";s:8:"password";s:11:"' . $pass . '";s:4:"hash";s:32:"'. md5("b") .'";}';
                    echo '{"valid":true,"token":"' . base64_encode($token) . '"}';
                    exit();
                }
            }
            echo '{"signin":true}';
        }else{
            echo '{"aid":"' . md5($_POST['duid']) . '","signin":{"fields":{"login":{"label":"login"},"password":{"protect":"password"}}}}';
        }
        exit();
    }

    function config(){
        if(isset($_POST['get'])){
            if($_POST['get'] == 'tv'){
                echo '{"tv":{"epg":true,"archive":true}}';
                exit();
            }elseif($_POST['get'] == 'vod'){
                echo '{"vod":{"search":true}}';
                exit();
            }
        }

        echo '{"keyboards":["eng","num"],"auth":true,"signin":true,"ping":true,"modules":["tv","vod"],"plugins":["account","streaming"],"storage":"server"}';

        exit();
    }

    function datetime(){
        echo '{"now":' . time() . '}';
        exit();
    }

    function lang(){
        if(isset($_POST['lid'])){
            if(isset($_POST['prefix'])){
                if($_POST['prefix'] == 'account'){
                    echo '{"account":{"user":{"cabinet":"Dados da sua conta", "info":"Vencimento"}, "info":{"uid":"Id do usuario", "fio":"Nome completo", "account":"Numero da conta", "login":"Usuario", "tariff":"Plano tarifario", "balance":"Equilibrar","till":"Valido ate"}}}';
                    exit;
                }elseif($_POST['prefix'] == 'streaming'){
                    echo '{"streaming":{"format":{"choose":"Formato de streaming"}}}';
                    exit;
                }elseif($_POST['prefix'] == 'tv'){
                    echo '{"tv":{"playlist":{"channels":"Canais","genres":"Categorias","sorts":"Mudar DNS","favorite":"Para favoritos &plusmn;","lock":"Controle parental &plusmn;","guide":"EPG","numpad":"N\u00famero do canal","settings":"Personalizar"},"genres":{"all":"Todos os canais","favorites":"Apenas canais favoritos"},"sorts":{"number":"Por n\u00famero","alpha":"Alfabeticamente","genre":"Por g\u00eanero"},"guide":{"programs":"Programas","category":"Categoria","duration":"Dura\u00e7\u00e3o","times":"Vezes","minutes":"min.","hours":"h.","nothing":"Programa de TV indispon\u00edvel para a data selecionada","play":"Tocar"},"infobar":{"live":"Transmiss\u00e3o ao vivo","play":"Tocar","pause":"Pausar","rewind":"Retroceder","psize":"V\u00eddeo","audio":"Audio","subtitles":"Legendas"},"settings":{"logos":"Logotipos"},"logos":{"enable":"Mostrar logotipos","disable":"N\u00e3o mostrar logotipos"}}}';
                    exit;
                }
            }
            echo '{"pt":{"navigation":{"enter":"Entrar","close":"Fechar","ud":"Rolagem","move":"Navega\u00e7\u00e3o","back":"Voltar"},"date":{"sunday":"Domingo","monday":"Segunda","tuesday":"Terca","wednesday":"Quarta","thursday":"Quinta","friday":"Sexta","saturday":"Sabado","sun":"Dom","mon":"Seg","tue":"Ter","wed":"Qua","thu":"Qui","fri":"Sex","sat":"Sab","january":"Janeiro","february":"Fevereiro","march":"Marco","april":"Abril","may":"Maio","june":"Junho","july":"Julho","august":"Agosto","september":"Setembro","october":"Outubro","november":"Novembro","december":"Dezembro","%d %M":"%M %d","%d.%m":"%m.%d","%D, %d %M":"%D, %M %d","%H:%i":"%h:%i %a"},"timezone":{"choose":"Fuso horario","default":"Padrao","dating":"Data e hora","helper":"Data e hora no aplicativo\\nVoc\u00ea pode alterar o fuso hor\u00e1rio para o aplicativo ou configura\u00e7\u00f5es do dispositivo"},"language":{"choose":"Idioma"},"keyboard":{"choose":"Layout do teclado"},"keyboards":{"eng":"Ingl\u00eas","rus":"Russo","num":"Num\u00e9rico","sym":"Caracteres"},"network":{"status":"Status da rede","disconnected":"Gateway desconectado\\nVerifique a conex\u00e3o de rede e as configura\u00e7\u00f5es"},"keypad":{"remote":"Controle remoto virtual","helper":"Para ligar para o controle remoto virtual em consoles e TVs, mantenha pressionado o bot\u00e3o OK no controle remoto. Em tablets e smartphones, segure o dedo em qualquer lugar da tela."},"audio":{"track":"Faixa de \u00e1udio","volume":"Volume","muted":"Mudo","default":"Trilha de \u00e1udio padr\u00e3o"},"subtitles":{"track":"Faixa de legendas","disabled":"Legendas desativadas","nothing":"Sem legendas"},"auth":{"login":"Usuario","password":"Senha","code":"C\u00f3digo de ativa\u00e7\u00e3o","phone":"Telefone","promo":"C\u00f3digo promocional","signin":"Logar","signin failed":"Falha no login\\nVerifique se os dados inseridos est\u00e3o corretos e repita a opera\u00e7\u00e3o","signup":"Inscrever-se","signup failed":"Falha na inscri\u00e7\u00e3o\\nVerifique se os dados inseridos est\u00e3o corretos e repita a opera\u00e7\u00e3o","how to signup":"Para se inscrever, entre em contato com o suporte","confirm":"Confirmar","confirm needed":"Necess\u00e1ria confirma\u00e7\u00e3o","confirm failed":"Falha na confirma\u00e7\u00e3o\\nVerifique se os dados inseridos est\u00e3o corretos e repita a opera\u00e7\u00e3o","not available":"Servi\u00e7o n\u00e3o dispon\u00edvel\\nPara renovar ou reativar, entre em contato com o suporte","invalid":"Login ou senha incorretos","blocked":"Conta est\u00e1 temporariamente bloqueada"},"censor":{"control":"Controle dos pais","enter":"Digite o c\u00f3digo PIN de 4 d\u00edgitos","confirm":"Confirme","remember":"Confirme e lembre-se","change":"Alterar o c\u00f3digo PIN","not changed":"O c\u00f3digo PIN n\u00e3o foi alterado","invalid":"C\u00f3digo PIN incorreto","enable":"Ativar controle parental","disable":"Desativar o controle dos pais","new":"Digite o novo c\u00f3digo PIN de 4 d\u00edgitos","save":"Salvar"},"app":{"restart":"Reiniciar aplicativo","about":"Contato"},"menu":{"menu":"Menu","settings":"Configura\u00e7\u00f5es","device":"Dispositivo","auth":"Usuario","signin":"Logar","signout":"Sair"},"device":{"menu":"Menu do dispositivo","duid":"ID de dispositivo"},"smartup":{"help":"Ajuda","helper":"Para mostrar a ajuda, pressione a tecla <b>F1<\/b>\\nPara ajustar o som, use as teclas <b>+<\/b> e <b>-<\/b>\\nPara ligar \/ desligar o som, use a tecla <b>M<\/b>\\nPara alternar o modo de tela cheia, use a tecla <b>F11<\/b>"},"modules":{"tv":"Canais de TV","vod":"Filmes e Series"}}}';
        }else{
            echo '{"preset":"pt","langs":{"pt":"Portugues"}}';
        }
        exit();
    }

    function ping(){
        if(!isset($_POST['pong'])){
            echo '{"pong":60}';
        }else{
            echo '[]';
        }
        exit();
    }

    function storage(){
        if(!isset($_POST['token'])){
            echo '{"auth":"true"}';
            exit();
        }elseif(!isset($_POST['sid'])){
            echo '{"sid" : "' . md5($_POST['token']) . '"}';
            exit();
        }elseif(isset($_POST['get'])){
            if($_POST['get'] == 'streaming'){
                $db_connect = connectPDO();
                $owner = md5($_POST['token']);

                try {
                    $sql = $db_connect->prepare('SELECT formato FROM streaming WHERE owner = :owner LIMIT 1');
                    $sql->bindParam(':owner', $owner);
                    $sql->execute();
  
                    $str_fmt = $sql->fetch();
                    if(isset($str_fmt['formato'])){
                        echo '{"get":{"streaming":"'.$str_fmt['formato'].'"}}';
                    }else{
                        echo '{"get":{"streaming":"ts"}}';
                    }
                    
                    exit();
                }catch ( PDOExecption $e ){
                    echo "Erro ao consultar. <br>" . $e->getMessage();
                }
            }elseif($_POST['get'] == 'pin'){
                echo "[]";
                exit();
            }elseif($_POST['get'] == 'tv'){
                if(isset($_POST['module'])){
                    if($_POST['module'] == 'tv'){
                        $db_connect = connectPDO();
                        $canais = getBlockedChannels($db_connect, 'All');
                        
                        if(count($canais)){

                            $bloqueados = "[";
                
                            for($i = 0; $i <= count($canais) -1; $i++){
                                $bloqueados .= $canais[$i]["canal"];
                                if($i < count($canais) -1){
                                    $bloqueados .= ",";
                                }
                            }
                            $bloqueados .= "]";
            
                        }

                        $canais_favoritos = getFavoriteChannels($db_connect, 'All');
                        if(count($canais_favoritos)){
                            $favoritos = "[";
                            for($i = 0; $i <= count($canais_favoritos) -1; $i++){
                                $favoritos .= $canais_favoritos[$i]["canal"];
                                if($i < count($canais_favoritos) -1){
                                    $favoritos .= ",";
                                }
                            }
                            $favoritos .= "]";
                        }
                        
                        $adicional = '';
                        if($canais){
                            $adicional .= '"locker":'.$bloqueados.',';
                        }
                        if($canais_favoritos){
                            $adicional .= '"favorites":'.$favoritos.',';
                        }

                        echo '{"get":{"tv":{"channels":{"last":59295,"sorting":"number"},"genre":0,'.$adicional.'"logos":true}}}';
                    }
                }
            }elseif($_POST['get'] == 'vod'){
                echo "[]";
            }
            exit();
        }elseif(isset($_POST['set'])){
            if($_POST['set'] == 'streaming'){
                $db_connect = connectPDO();

                $commands = ['CREATE TABLE IF NOT EXISTS streaming (id INTEGER PRIMARY KEY AUTO_INCREMENT, owner VARCHAR (255) NOT NULL, formato VARCHAR (255) NOT NULL)'];
                foreach($commands as $command){
                    $db_connect->exec($command);
                }

                $owner  = md5($_POST['token']);
                $format = $_POST['value'];

                try {
                    $sql = $db_connect->prepare('SELECT formato FROM streaming WHERE owner = :owner');
                    $sql->bindParam(':owner', $owner);
                    $sql->execute();
  
                    $str_fmt = $sql->fetch();
                    if($str_fmt){
                        $sql = $db_connect->prepare('UPDATE streaming SET formato = :formato WHERE owner = :owner');
                        $sql->bindParam(':owner', $owner);
                        $sql->bindParam(':formato', $format);
                        $sql->execute();
                    }else{
                        $sql = $db_connect->prepare('INSERT INTO streaming(owner, formato) VALUES(:owner, :formato)');
                        $sql->bindParam(':owner', $owner);
                        $sql->bindParam(':formato', $format);
                        $sql->execute();
                    }
                } catch ( PDOExecption $e ){
                   echo "Erro ao inserir. <br>" . $e->getMessage();
                }
                echo '{"set":"streaming"}';
                exit();
            }elseif($_POST['set'] == 'tv'){
                $db_connect = connectPDO();
                if(isset($_POST['value']['locker'])){ //existem canais bloqueados pelo usario.
                
                    $commands = ['CREATE TABLE IF NOT EXISTS controle (id INTEGER PRIMARY KEY AUTO_INCREMENT, owner VARCHAR (255) NOT NULL, canal INTEGER (32) NOT NULL)'];
  
                    foreach($commands as $command){
                        $db_connect->exec($command);
                    }

                    foreach($_POST['value']['locker'] as $usr_blocked_channel){
                        $blocked = getBlockedChannels($db_connect, $usr_blocked_channel);
                        if(!$blocked){
                            insertBlockedChannel($db_connect, $usr_blocked_channel);
                        }
                    }

                    $db_blocked_channels = getBlockedChannels($db_connect, 'All');

                    foreach($db_blocked_channels as $canal){
                        $apagarCanal = 1;
                        foreach($_POST['value']['locker'] as $usr_canal){
                            if($canal["canal"] == $usr_canal){
                                $apagarCanal = 0;
                                break;
                            }
                        }

                        if($apagarCanal){
                            deleteBlockedChannel($db_connect, $canal["canal"]);
                        }
                    }
                } //fim existem canais bloqueados

                if(isset($_POST['value']['favorites'])){ //existem canais favoritos do usuario
                    $commands = ['CREATE TABLE IF NOT EXISTS favorito (id INTEGER PRIMARY KEY AUTO_INCREMENT, owner VARCHAR (255) NOT NULL, canal INTEGER (32) NOT NULL)'];
  
                    foreach($commands as $command){
                        $db_connect->exec($command);
                    }

                    foreach($_POST['value']['favorites'] as $usr_favorite_channel){
                        $favorito = getFavoriteChannels($db_connect, $usr_favorite_channel);
                        if(!$favorito){
                            insertFavoriteChannel($db_connect, $usr_favorite_channel);
                        }
                    }

                    $db_favorite_channels = getFavoriteChannels($db_connect, 'All');

                    foreach($db_favorite_channels as $canal){
                        $apagarCanal = 1;
                        foreach($_POST['value']['favorites'] as $usr_canal){
                            if($canal["canal"] == $usr_canal){
                                $apagarCanal = 0;
                                break;
                            }
                        }

                        if($apagarCanal){
                            deleteFavoriteChannel($db_connect, $canal["canal"]);
                        }
                    }
                } //fim existem canais bloqueados

                //exclui canais bloqueados se existirem no db mas n na sessao do usuario
                $usr_blocked_channel = getBlockedChannels($db_connect, 'All');

                if($usr_blocked_channel && !isset($_POST['value']['locker'])){
                    deleteBlockedChannel($db_connect, $usr_blocked_channel[0]["canal"]);
                }
                 //fim// exclui canais bloqueados se existirem no db mas n na sessao do usuario

                //exclui canais favoritos se existirem no db mas n na sessao do usuario
                $usr_favorite_channel = getFavoriteChannels($db_connect, 'All');

                if($usr_favorite_channel && !isset($_POST['value']['favorites'])){
                    deleteFavoriteChannel($db_connect, $usr_favorite_channel[0]["canal"]);
                }
                //fim// exclui canais favoritos se existirem no db mas n na sessao do usuario
                echo "[]";
                exit();
            }   
        }else{
            echo "[]";
        }

        $db_connect = connectPDO();

        if($db_connect){
            $commands = ['CREATE TABLE IF NOT EXISTS controle (id INTEGER PRIMARY KEY AUTO_INCREMENT, owner VARCHAR (255) NOT NULL, canal INTEGER (32) NOT NULL)'];
  
            foreach($commands as $command){
                $db_connect->exec($command);
            }
        }

        $db_connect = null;
        exit();
    }

    function playlist($mode){
        $user_info = getUserInfo();

        $lista_addr = $user_info['dns'] . '/get.php?username='.$user_info['username'].'&password='.$user_info['password'].'&type=m3u_plus&output=ts';

        $formato = streamingFormat();

        $resultado  = getData($lista_addr);
        $response   = convertlist($resultado, $mode, $formato);

        echo $response;
        exit();
    }

    function streamingFormat(){
        $db_connect = connectPDO();
        $owner = md5($_POST['token']);

        try {
            $sql = $db_connect->prepare('SELECT formato FROM streaming WHERE owner = :owner LIMIT 1');
            $sql->bindParam(':owner', $owner);
            $sql->execute();
  
            $str_fmt = $sql->fetch();
            if(isset($str_fmt['formato'])){
                return $str_fmt['formato'];
            }
        }catch ( PDOExecption $e ){
            echo "Erro ao consultar. <br>" . $e->getMessage();
        }
        return 0;
    }

    function epg(){
        if(isset($_POST['cid'])){
            $cid = $_POST['cid'];
        }else{
            exit();
        }

        $data   = $_POST['token'];
        $data_p = explode('"', base64_decode($data));
        
        $username = $data_p[3];
        $password = $data_p[7];

        $resp   = getData($GLOBALS['BASE_DNS_URL'] . "/player_api.php?username=$username&password=$password&action=get_simple_data_table&stream_id=$cid");
        $resp_d = json_decode($resp);
        
        $epg = array(
            'epg' => array()
        );

        if(isset($_POST['type']) && isset($resp_d->epg_listings)){
            if($_POST['type'] == 'day'){
                foreach($resp_d->epg_listings as $program){
                    $id         = $program->id;
                    $start      = strtotime($program->start);
                    $stop       = strtotime($program->end);
                    $duracao    = $stop - $start;
                    $title      = base64_decode($program->title);
                    $descr      = base64_decode($program->description);

                    if(($start > $_POST['time']) & ($start < ($_POST['time'] + 86400))){
                        $pgr = array(
                            'id'	=>	$id,
                            'cid'	=>	$cid,
                            'start'	=>	$start,
                            'stop' 	=>	$stop,
                            'duration'	=> $duracao,
                            'name'	=>	$title,
                            'category'	=> null,
                            'genres'	=> null,
                            'desc'	=>	$descr,
                            'archive'	=> false
                        );
                        $epg['epg'][] = $pgr;
                    }
                }
            }elseif($_POST['type'] == 'now'){
                foreach($resp_d->epg_listings as $program){
                    $start  = strtotime($program->start);
                    $stop   = strtotime($program->end);
                    $title  = base64_decode($program->title);
                    $desc   = base64_decode($program->description);

                    if(($start < time()) & ($stop > time())){
                        $pgr = array(
                            'start'	=> $start,
                            'stop'	=> $stop,
                            'name'  => $title,
                            'desc'	=> $desc
                        );
                        $epg['epg'] = $pgr;
                    }
                }
            }else{
                foreach($resp_d->epg_listings as $program){
                    $start  = strtotime($program->start);
                    $stop   = strtotime($program->end);
                    $title  = base64_decode($program->title);

                    if($stop > time()){
                        $pgr = array(
                            'start'	=> $start,
                            'stop'	=> $stop,
                            'name'  => $title
                        );
                        $epg['epg'][] = $pgr;
                    }
                }
            }
        }
        echo json_encode($epg);
        exit();
    }

    function sinopse(){
        if(!isset($_POST['cid']) or !isset($_POST['token'])){
            exit();
        }

        $user_info = getUserInfo();

        $resp = postData($user_info['dns'] . '/player_api.php', "username=".$user_info['username']."&password=".$user_info['password']."&action=get_vod_info&vod_id=" . $_POST['cid']);

        echo $resp;
        exit();
    }

    function catalog(){
        $user_info = getUserInfo();
        $username = $user_info['username'];
        $password = $user_info['password'];
        $dns      = $user_info['dns'];

        $filter = (isset($_POST['category'])) ? $_POST['category'] : "";

        $resp = postData($dns . '/player_api.php', "username=$username&password=$password&action=get_vod_streams&category_id=$filter");
        $streams = json_decode($resp);
        
        $response = array( 'videos' => array() );
        $start = (isset($_POST['page'])) ? $_POST['page'] -1 : 0;

        if(!$streams){
            //vazio entao talvez seja uma serie.
            $resp = postData($dns . '/player_api.php', "username=$username&password=$password&action=get_series&category_id=$filter");
            $series = json_decode($resp);
            
            $response = array( 'videos' => array());

            for($i = ($start * 10); $i <= count($series) -1; $i++){
                $serie = $series[$i];
                $serie_data = array(
                    'id'        => $serie->series_id,
                    'name'      => $serie->name,
                    'category'  => $serie->category_id,
                    'cover'     => $serie->cover,
                    'rating'    => $serie->rating_5based . ' / 5',
                    'added'     => $serie->last_modified,
                    'censored'  => false
                );

                $response['videos'][] = $serie_data;
                if(count($response['videos']) == 10){
                    break;
                }
            }

            echo json_encode($response);
            exit();
        }
        
        for($i = ($start * 10); $i <= count($streams) -1; $i++){
            $filme = $streams[$i];

            $filme_data = array(
                'id'        => $filme->stream_id,
                'name'      => $filme->name,
                'category'  => $filme->category_id,
                'cover'     => $filme->stream_icon,
                'rating'    => $filme->rating_5based . ' / 5',
                'added'     => $filme->added,
                'censored'  => false
            );

            $response['videos'][] = $filme_data;

            if(count($response['videos']) == 10){
                break;
            }
        }
        
        echo json_encode($response);
        exit();

    }

    function categorias(){
        $user_info = getUserInfo();
        $username = $user_info['username'];
        $password = $user_info['password'];
        $dns      = $user_info['dns'];
        
        $url = $dns . '/player_api.php';

        $response = array('categorias' => array());

        //fimes
        $resp = postData($url, "username=$username&password=$password&action=get_vod_categories");
        $categorias = json_decode($resp);

        foreach($categorias as $categoria){
            $categoria_data = array(
                'id'    => $categoria->category_id,
                'name'  => $categoria->category_name
            );

            $response['categorias'][] = $categoria_data;
        }

        //series
        $resp = postData($url, "username=$username&password=$password&action=get_series_categories");
        $categorias = json_decode($resp);
        
        foreach($categorias as $categoria){
            $categoria_data = array(
                'id'    => $categoria->category_id,
                'name'  => $categoria->category_name
            );

            $response['categorias'][] = $categoria_data;
        }


        echo json_encode($response);
        exit();
    }

    function video(){

        $user_info = getUserInfo();
        $username = $user_info['username'];
        $password = $user_info['password'];
        $dns      = $user_info['dns'];

        if(!isset($_POST['vid'])){
            exit;
        }else{
            $vid = $_POST['vid'];
        }
        //movie

        $url = $dns . '/player_api.php';
        $resp = postData($url, "username=$username&password=$password&action=get_vod_info&vod_id=$vid");
        $movie_d = json_decode($resp);

        

        if(!$movie_d->info){
            //serie ?
            $midia_url_base = $dns . '/series/';

            $resp = postData($url, "username=$username&password=$password&action=get_series_info&series_id=$vid");
            $serie_d = json_decode($resp);
            
            $temporadas = array();
            foreach($serie_d->seasons as $temporada){
                $temporada_data = array(
                    'name'      => $temporada->name,
                    'season_n'  => $temporada->season_number,
                    'epsodes'   => array()
                );
                $temporadas[] = $temporada_data;
            }

            $lista_eps = $serie_d->episodes;
            foreach($lista_eps as $temporada){
                foreach($temporada as $eps){
                    $eps_data = array(
                        'name'      => $eps->title,
                        'source'    => array(
                            'padrao'    => $midia_url_base . $username . '/' . $password . '/' . $eps->id . '.' . $eps->container_extension 
                        )
                    );

                    for($i = 0; $i <= count($temporadas) -1; $i++){
                        if($temporadas[$i]['season_n'] == $eps->season){
                            $temporadas[$i]['epsodes'][] = $eps_data;
                        }
                    }
                }
            }

            $response = array(
                'name'      => $serie_d->info->name,
                'cover'     => $serie_d->info->cover,
                'genres'    => $serie_d->info->genre,
                'released'  => $serie_d->info->releaseDate,
                'country'   => null,
                'director'  => $serie_d->info->director,
                'actors'    => $serie_d->info->cast,
                'desc'      => $serie_d->info->plot,
                'censored'  => false,
                'seasons'   => $temporadas
            );

            echo json_encode($response);
            exit();
        }

        $midia_url_base = $dns . '/movie/';

        $response = array(
            'name'      => $movie_d->movie_data->name,
            'cover'     => $movie_d->info->movie_image,
            'genres'    => $movie_d->info->genre,
            'released'  => $movie_d->info->releasedate,
            'country'   => $movie_d->info->country,
            'director'  => $movie_d->info->director,
            'actors'    => $movie_d->info->cast,
            'desc'      => $movie_d->info->plot,
            'censored'  => false,
            'duration'  => $movie_d->info->duration_secs,
            'source'    => array(
                'padrao' => $midia_url_base . $username . '/' . $password . '/' . $movie_d->movie_data->stream_id . '.' . $movie_d->movie_data->container_extension
            )
        );

        echo json_encode($response);
        exit();

    }

    function getUserInfo(){
        if(isset($_POST['token'])){
            $data = base64_decode($_POST['token']);
            $partes = explode('"', $data);
    
            $username = $partes[3];
            $password = $partes[7];
        }else{
            exit;
        }

        $conn = connectPDO();
        if($conn){
            $commands = ['CREATE TABLE IF NOT EXISTS playlistPreferences (id INTEGER PRIMARY KEY AUTO_INCREMENT, owner VARCHAR (255) NOT NULL, dns VARCHAR (255) NOT NULL)'];
  
            foreach($commands as $command){
                $conn->exec($command);
            }
        }

        if(isset($_POST['dns'])){
            setPreferences($conn, $_POST['dns']);
            exit('{}');
        }

        $dns = getPreferences($conn);
        if(isset($dns['dns'])){
            $lista_addr = $dns['dns'];
        }else{
            $lista_addr = $GLOBALS['BASE_DNS_URL'];
        }

        return array(
            'username' => $username,
            'password' => $password,
            'dns'      => $lista_addr
        );

    }

    function postData($url, $data){
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        
        $resp = curl_exec($ch);
        curl_close($ch);
        return $resp;
    }

    function getData($url){

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        
        $resp = curl_exec($ch);
        curl_close($ch);

        return $resp;
    }

    function checkuser($user, $senha){
        $resp   = postData($GLOBALS['BASE_DNS_URL'] . '/player_api.php', "username=$user&password=$senha");
        $resp_d = json_decode($resp);

        if(($resp_d->user_info->auth == 1)){
            if($resp_d->user_info->status !== 'Expired'){
                return true;
            }
        }
        return false;
    }

    function connectPDO(){
        $pdoDB   = new PDO('mysql:host='.$GLOBALS['MYSQL_SERVER_IP'].';dbname='.$GLOBALS['MYSQL_DB'], $GLOBALS['MYSQL_USER'], $GLOBALS['MYSQL_PASS']);
        return $pdoDB;
    }

    function getBlockedChannels($connection, $canal){
        $owner = md5($_POST['token']);
  
        if($canal == 'All'){
           $sql = $connection->prepare('SELECT canal FROM controle WHERE owner = :owner');
           $sql->bindParam(':owner', $owner);
           $sql->execute();
  
           $canais = $sql->fetchAll();
  
           return $canais;
        }else{
           $sql = $connection->prepare('SELECT canal FROM controle WHERE owner = :owner AND canal = :canal');
           $sql->bindParam(':owner', $owner);
           $sql->bindParam(':canal', $canal);
           $sql->execute();
  
           $canais = $sql->fetch();
  
           return $canais;
        }
    }

    function insertBlockedChannel($connection, $canal){
        $owner = md5($_POST['token']);
  
        try {
           $sql = $connection->prepare('INSERT INTO controle(owner, canal) VALUES(:owner, :canal)');
           $sql->bindParam(':owner', $owner);
           $sql->bindParam(':canal', $canal);
           $sql->execute();
        } catch ( PDOExecption $e ){
           echo "Erro ao inserir. <br>" . $e->getMessage();
        }
        
    }

    function deleteBlockedChannel($connection, $canal){
        $owner = md5($_POST['token']);
  
        $sql = $connection->prepare('DELETE FROM controle WHERE canal = :canal AND owner = :owner');
        $sql->bindParam(':owner', $owner);
        $sql->bindParam(':canal', $canal);
        $sql->execute();
    }

    function getFavoriteChannels($connection, $canal){
        $owner = md5($_POST['token']);
  
        if($canal == 'All'){
           $sql = $connection->prepare('SELECT canal FROM favorito WHERE owner = :owner');
           $sql->bindParam(':owner', $owner);
           $sql->execute();
  
           $canais = $sql->fetchAll();
  
           return $canais;
        }else{
           $sql = $connection->prepare('SELECT canal FROM favorito WHERE owner = :owner AND canal = :canal');
           $sql->bindParam(':owner', $owner);
           $sql->bindParam(':canal', $canal);
           $sql->execute();
  
           $canais = $sql->fetch();
  
           return $canais;
        }
    }

    function insertFavoriteChannel($connection, $canal){
        $owner = md5($_POST['token']);
  
        try {
           $sql = $connection->prepare('INSERT INTO favorito(owner, canal) VALUES(:owner, :canal)');
           $sql->bindParam(':owner', $owner);
           $sql->bindParam(':canal', $canal);
           $sql->execute();
        } catch ( PDOExecption $e ){
           echo "Erro ao inserir. <br>" . $e->getMessage();
        }
        
    }

    function deleteFavoriteChannel($connection, $canal){
        $owner = md5($_POST['token']);
  
        $sql = $connection->prepare('DELETE FROM favorito WHERE canal = :canal AND owner = :owner');
        $sql->bindParam(':owner', $owner);
        $sql->bindParam(':canal', $canal);
        $sql->execute();
    }

    function convertlist($data, $mode, $streaming_format){
        $linhas = explode("\n", $data);

        //criar o array que vai guardar todas as informações 

        $playlist = array(
            'playlist' => array(
                'channels'  => array(

                ),
                'genres'    => array(
                    
                )
            )
        );

        $genero = array(
            'id'    => 1,
            'title' => 'none',
            'count' => 0
        );

        $playlist['playlist']['genres'][] = $genero;

        $channel_n = 1;
        $index = 0;

        $tvg_id         = '';
        $tvg_name       = '';
        $tvg_logo       = '';
        $group_title    = '';
        $link           = '';
        $id             = '';

        //isto é para adicionar canais automaticamente para censura
        $canal_censurado = array();

        foreach($linhas as $linha){
            if($index != 0){
                if($index %2){
                    $partes = explode("\"", $linha);
                    $tvg_id         = $partes[1];
                    $tvg_name       = $partes[3];
                    $tvg_logo       = urlencode($partes[5]);
                    $group_title    = $partes[7]; //acredito que da pra usar como categoria
		    if($group_title == ""){
			preg_match('/([a-z ]*) /', strtolower($tvg_name), $matches_name);
			$group_title = strtoupper($matches_name[0]);
		    }
                }elseif(!strpos($linha, ':8080/movie') & !strpos($linha, ':8080/serie')){
                    $link           = $linha;
		    if(!strpos($link, 'movie') & !strpos($link, 'series')){
		    	$link_exploded  = explode(':80', $link);
		    	$link = $link_exploded[0] . ':80/live' . $link_exploded[1];
                    	$link_partes = explode('/', $link);
                    	$partes_i = count($link_partes);
                    	$id = $link_partes[$partes_i -1 ];
                    }else{
			$link_partes = explode('/', $link);
			$partes_i = count($link_partes);
			$id = $link_partes[$partes_i -1 ];
		    }

		    $id = str_replace(".mp4", '', $id);
		    $id = str_replace(".mkv",  '', $id);

                    $id = preg_replace( "/\r|\n/", "", $id );

		    if(!strpos($link, "movie") & !strpos($link, "series" )){
                $fmt = $streaming_format;
                if($fmt && ($fmt == 'hls')){
                    $link = str_replace("\r", ".m3u8", $link);
                }else{
                    $link = str_replace("\r", ".ts", $link);
                }
			    
		    }else{
		    	$link = str_replace("\r", "", $link);
		    }

                $regex_vod  = '/movie|series/';
                $regex_tv   = '/\/live\//';

                if($mode == 'vod'){
                    $regex = $regex_vod;
                }elseif($mode == 'tv'){
                    $regex = $regex_tv;
                }

                if(preg_match($regex, $link)){
                    //primeiro vamos ver se existe uma categoria ja criada para nosso canal
                    $categoria = 0;

                    if(!count($playlist['playlist']['genres']) == 0){
                        $genre_index = 0;
                        foreach($playlist['playlist']['genres'] as $genre){
                            if($genre['title'] == $group_title){
                                $playlist['playlist']['genres'][$genre_index]['count'] += 1;
                                $categoria = $genre_index;
                                break;
                            }

                            if($genre_index == (count($playlist['playlist']['genres']) -1)){
                                $genero = array(
                                    'id'    => $genre_index + 1,
                                    'title' => $group_title,
                                    'count' => 1
                                );

                                $categoria = $genre_index + 1;
                                $playlist['playlist']['genres'][] = $genero;
                                break;
                            }else{
                                $genre_index++;
                            }
                        }
                    }else{
                        $genero = array(
                            'id'    => 2,
                            'title' => $group_title,
                            'count' => 1
                        );

                        $categoria = 1;
                        $playlist['playlist']['genres'][] = $genero;
                    }

                    if(preg_match("/PLAYBOY|VENUS|SEXTREME|SEXY HOT|BRASILEIRINHAS/", strtoupper($tvg_name))){
                        if(array_search($categoria, $canal_censurado) === false){
                            array_push($canal_censurado, $categoria);
                        }
                        $censurado = true;
                    }else{
                        $censurado = false;
                    }

		            if(preg_match("/movie|series/", $link)){
			            $archive = true;
		            }else{
			            $archive = false;
		            }

		    if($canal->tv_archive == 1){ $archive = true; }

                    $canal = array(
                        'id'        => $id,
                        'number'    => $channel_n,
                        'genre'     => $categoria,
                        'name'      => $tvg_name,
                        'logo'      => 'logos/get.php?url=' . $tvg_logo,
                        'url'       => $link,
                        'archive'   => $archive,
                        'censored'  => $censurado
                    );
    
                    $playlist['playlist']['channels'][] = $canal;
    
                    $channel_n += 1;
                }

                    
                }
            }
            $index += 1;
        }

	    unset($playlist["playlist"]["genres"][0]);

        // alguns canais/filmes receberam flags de censura
        // nesse momento vamos dar flag em todos que compartilham a mesma categoria.

        for($i = 0; $i <= count($playlist["playlist"]["channels"]); $i++){

            foreach($canal_censurado as $censurado){
                if($playlist["playlist"]["channels"][$i]["genre"] == $censurado){
                  //echo $playlist["playlist"]["channels"][$i]["name"] . "\n";
                    $playlist["playlist"]["channels"][$i]["censored"] = true;
                }
            }
        }

        $encoded = json_encode($playlist);

        return $encoded;
    }

    function getPreferences($connection){
        $owner = md5($_POST['token']);

        $sql = $connection->prepare('SELECT dns FROM playlistPreferences WHERE owner = :owner LIMIT 1');
        $sql->bindParam(':owner', $owner);
        $sql->execute();

        $dns = $sql->fetch();

        return $dns;
    }

    function setPreferences($connection, $dns){
        $owner = md5($_POST['token']);

        $res = getPreferences($connection);

        if($res){
            $sql = $connection->prepare('UPDATE playlistPreferences SET dns = :dns WHERE owner = :owner');
            $sql->bindParam(':owner', $owner);
            $sql->bindParam(':dns', $dns);
            $sql->execute();
        }else{
            $sql = $connection->prepare('INSERT INTO playlistPreferences(owner, dns) VALUES(:owner, :dns)');
            $sql->bindParam(':owner', $owner);
            $sql->bindParam(':dns', $dns);
            $sql->execute();
        }
    }

    function getChannelName($connection, $id){
        $sql = $connection->prepare('SELECT canal FROM channel WHERE id_m3u = :id');
        $sql->bindParam(':id', $id);
        $sql->execute();
    
        $canal = $sql->fetch();
    
        return $canal;
    }

    function getProgrammeFromChannel($connection, $canal){
        $sql = $connection->prepare('SELECT * FROM programme WHERE canal = :canal');
        $sql->bindParam(':canal', $canal);
        $sql->execute();
    
        return $sql->fetchAll();
    }

    function getProgrammeFromDay($connection, $day, $canal){
        $start = $day;
        $final = ($start + 86400);
    
        $sql = $connection->prepare('SELECT * FROM programme WHERE canal = :canal');
        $sql->bindParam(':canal', $canal);
        $sql->execute();
    
        $response = $sql->fetchAll();
    
        $resp = array();
    
        foreach($response as $entrada){
            $start_e = strtotime($entrada['start']);
            $stop_e  = strtotime($entrada['stop']);
    
            if(($start_e > $start) & ($stop_e < $final)){
                array_push($resp, $entrada);
            }
        }
    
        return $resp;
    }

    function insertChannel($connection, $canal, $id){
        try{
            $sql = $connection->prepare('INSERT INTO channel(canal, id_m3u) VALUES(:canal, :idm3u)');
            $sql->bindParam(':canal', $canal);
            $sql->bindParam(':idm3u', $id);
            $sql->execute();
        } catch ( PDOException $e){
            echo "Erro ao inserir . <br>" . $e->getMessage();
        }
    }

    function insertProgram($connection, $canal, $start, $stop, $title, $desc){

        try{
            $sql = $connection->prepare('INSERT INTO programme(start, stop, canal, title, descr) VALUES(:start, :stop, :canal, :title, :descr)');
            $sql->bindParam(':start',   $start);
            $sql->bindParam(':stop',    $stop);
            $sql->bindParam(':canal',   $canal);
            $sql->bindParam(':title',   $title);
            $sql->bindParam(':descr',   $desc);
            $sql->execute();
        } catch ( PDOException $e){
            echo "Erro ao inserir programa . <br>" . $e->getMessage();
        }
    
    }

?>
