(function() {
    return function() {
        var t = function() {
            return {
                'setup': function() {
                    Player['setup']({
                        'preview': {
                            'right': 0x23e,
                            'top': 0x8f,
                            'width': 0x20e,
                            'height': 0x128
                        }
                    });
                    return this
                },
                'toggle': function(a) {
                    if (a) {
                        Logo['show']();
                        Clock['show']();
                        Header['toggle'](!![]);
                        Scenes['toggle'](!![]);
                        Legend['toggle'](!![]);
                        c['hide']()
                    } else {
                        Logo['hide']();
                        Clock['hide']();
                        Header['toggle'](![]);
                        Scenes['toggle'](![]);
                        Legend['toggle'](![])
                    }
                    s['adapt']();
                    return this
                },
                'bind': function() {
                    Main['on']('player.show\x20player.hide\x20player.resize', this, !![], function() {
                        var a = ![];
                        return function(c, d) {
                            var b;
                            if (c['namespace'] == 'show') {
                                a = !![]
                            } else if (c['namespace'] == 'hide') {
                                a = ![];
                                b = !![]
                            }
                            if (d && a) {
                                b = d == 'fullscreen' ? ![] : !![]
                            }
                            if (b || b === ![]) {
                                this['toggle'](b)
                            }
                        }
                    }());
                    return this
                }
            }
        }();
        var f = function() {
            var b = {
                'restore': function() {
                    var b;
                    if (b = Storage['get']('tv')) {
                        if (b['favorites']) {
                            g['restore'](b['favorites'])
                        }
                        if (b['locker']) {
                            i['restore'](b['locker'])
                        }
                        if (b['genre']) {
                            k['restore'](b['genre'])
                        }
                        if (b['channels']) {
                            a['restore'](b['channels'])
                        }
                        if (b['psize']) {
                            o['restore'](b['psize'])
                        }
                        if (b['audio']) {
                            p['restore'](b['audio'])
                        }
                        if (b['subtitles']) {
                            l['restore'](b['subtitles'])
                        }
                        if ('logos' in b) {
                            j['restore'](b['logos'])
                        }
                    }
                    return this
                },
                'serialize': function() {
                    return $['extend'](a['serialize'](), k['serialize'](), g['serialize'](), i['serialize'](), j['serialize'](), o['serialize'](), p['serialize'](), l['serialize']())
                },
                'saving': ![],
                'save': function() {
                    var a = function() {
                        if (b['saving']) {
                            clearInterval(b['saving']);
                            b['saving'] = ![]
                        }
                    };
                    a();
                    this['saving'] = $['interval'](this, 0x3e8, function() {
                        if ($['active'] == 0x0) {
                            Storage['set']('tv', b['serialize']());
                            a()
                        }
                    });
                    return this
                },
                'dialog': function() {
                    var a = Proto['menu']({
                        'title': ['tv', 'playlist', 'settings'],
                        'items': {
                            'logos': {
                                'label': ['tv', 'settings', 'logos'],
                                'enter': function() {
                                    j['dialog']()
                                }
                            }
                        }
                    });
                    a['open']()
                }
            };
            return b
        }();
        var d = function() {
            var b = Player,
                a = {
                    'bind': function() {
                        var a = ![],
                            b = !![],
                            c = !![];
                        Main['on']('suspend\x20resume\x20connected\x20disconnected', this, !![], function(d) {
                            if (a) {
                                clearTimeout(a);
                                a = ![]
                            }
                            switch (d['type']) {
                                case 'suspend':
                                    b = ![];
                                    break;
                                case 'resume':
                                    b = !![];
                                    break;
                                case 'disconnected':
                                    c = ![];
                                    break;
                                case 'connected':
                                    c = !![];
                                    break
                            }
                            if (b && c) {
                                if (this['saved']) {
                                    a = $['timeout'](this, 0x1f4, function() {
                                        this['restore']()
                                    })
                                }
                            } else {
                                this['saved'] || this['save']() || this['stop']()
                            }
                        });
                        return this
                    },
                    'scene': ![],
                    'container': ![],
                    'cid': ![],
                    'url': ![],
                    'stream': ![],
                    'live': ![],
                    'timeshift': ![],
                    'alive': ![],
                    'stamp': ![],
                    'pos': ![],
                    'duration': ![],
                    'ended': ![],
                    'plays': ![],
                    'playing': ![],
                    'play': function(h, e, f, k, g, i, a, j, d, l) {
                        if (this['plays'] && this['ended'] === ![] && a !== ![] && e && e == this['cid'] && f == this['url'] && h == this['scene'] && Dating['same'](this['stamp'], i, !![], !![])) {
                            if (this['seek'](a - this['pos'], ![]) !== ![]) {
                                return !![]
                            }
                        }
                        this['stop']((d = d === ![] || d === !![] ? d : this['plays'] ? b['visible']() : !![]) === ![]);
                        if ((this['url'] = f) && (this['scene'] = h) && (this['container'] = Scenes['find'](h))['isset']() && (this['cid'] = e) && (this['stamp'] = (i ? Dating['parse'](i) : Dating['date']('s'))['getTime']() / 0x3e8)) {
                            if (k) {
                                this['live'] = !![]
                            } else {
                                this['timeshift'] = !![]
                            }
                            if (g) {
                                this['alive'] = g === !![] ? f : g
                            }
                            if (a > 0x0) {
                                this['pos'] = a
                            } else {
                                this['pos'] = a = 0x0
                            }
                            this['stream'] = false;
                            if (j) {
                                this['listener'] = j
                            }
                            if (b['off']()['on']('play', !![], this, function() {
                                    this['plays'] = !![];
                                    this['on']()['fire']('play');
                                    c['ready']() ? c['show']() : b['on']('show\x20fullscreen', !![], this, function() {
                                        var a = !![];
                                        return function() {
                                            a && (a = c['ready']() ? ![] : !![]) === ![] && c['show']()
                                        }
                                    }())
                                })['on']('duration', !![], this, function(a) {
                                    this['duration'] = a
                                })['on']('buffering', ![], this, function() {
                                    this['playing'] = ![]
                                })['on']('playing', ![], this, function() {
                                    this['playing'] = !![]
                                })['on']('playing', !![], this, function() {
                                    if (l) {
                                        if (this['pause']()) {
                                            return ![]
                                        }
                                    }
                                })['on']('playing\x20paused', ![], this, function() {
                                    c['visible']() && c['show']()
                                })['on']('stopped', !![], this, function() {
                                    this['playing'] = ![];
                                    c['hide']()
                                })['on']('time', ![], this, function(a) {
                                    if (this['playing']) {
                                        if (a > 0x0) {
                                            this['pos'] = a
                                        }
                                        this['fire']('time')
                                    }
                                })['on']('seek', ![], this, function(a) {
                                    if (a >= 0x0) {
                                        this['pos'] = a
                                    }
                                    c['show']();
                                    this['fire']('seek')
                                })['on']('ended', !![], this, function(a) {
                                    this['ended'] = this['pos'] = a || this['pos'];
                                    if (this['live']) {
                                        this['close']()
                                    } else {
                                        this['next']() || this['close']()
                                    }
                                    return ![]
                                })['on']('error', !![], this, function() {
                                    this['close']()
                                })['play'](f, a, this['presets'](e), ![], d)) return !![]
                        }
                        return ![]
                    },
                    'paused': ![],
                    'pause': function() {
                        console.log('funcao pause');
                        if (this['playing']) {
                            console.log('tocando sim');
                            if (this['stream']) {
                                console.log('eh streaming');
                                if (this['paused']) {
                                    if (this['record']) {
                                        if (this['play'](this['scene'], this['cid'], this['record']['url'], ![], this['alive'], this['record']['stamp'], this['record']['seek'], this['listener'])) return ![]
                                    }
                                } else {
                                    if (this['catchup']()) {
                                        this['paused'] = b['pause'](!![])
                                    } else {
                                        return ![]
                                    }
                                }
                            } else {
                                this['paused'] = b['pause'](!this['paused'])
                            }
                            if (this['paused']) {
                                this['fire']('pause')
                            } else {
                                this['fire']('resume')
                            }
                            return this['paused']
                        }
                        return ![]
                    },
                    'resume': function() {
                        return this['paused'] ? !this['pause']() : this['playing']
                    },
                    'stop': function(c, d) {
                        var a = !![];
                        if (this['plays']) {
                            if (b['stop'](!![], c)) {
                                this['fire'](d ? 'save' : 'stop')
                            } else {
                                a = ![]
                            }
                        }
                        a && this['off']()['reset']();
                        return a
                    },
                    'seek': function(a, c) {
                        if (this['plays']) {
                            if (a) {
                                if (this['playing']) {
                                    if (!this['stream']) {
                                        if (b['seek'](a) !== ![]) {
                                            return this['resume']()
                                        }
                                    }
                                    if (c !== ![]) {
                                        if (this['catchup'](this['time']() + a)) {
                                            return this['play'](this['scene'], this['cid'], this['record']['url'], ![], this['alive'], this['record']['stamp'], this['record']['seek'], this['listener'])
                                        }
                                    }
                                }
                            } else {
                                return a === 0x0
                            }
                        }
                        return ![]
                    },
                    'next': function(a) {
                        return this['seek'](a || 0x1)
                    },
                    'time': function() {
                        return this['pos'] || 0x0
                    },
                    'saved': ![],
                    'save': function() {
                        if (this['plays']) {
                            this['saved'] = {
                                'scene': this['scene'],
                                'cid': this['cid'],
                                'url': this['url'],
                                'live': this['live'],
                                'alive': this['alive'],
                                'record': this['record'],
                                'time': this['time'](),
                                'paused': this['paused'],
                                'listener': this['listener'],
                                'visible': this['visible']()
                            };
                            if (this['stop'](![], !![])) return !![]
                        }
                        return this['saved'] = ![]
                    },
                    'restore': function() {
                        if (this['saved']) {
                            var e = ![],
                                a = this['saved']['record'],
                                f = a ? ![] : this['saved']['live'],
                                b, c, d;
                            if (a) {
                                b = a['url'];
                                c = a['stamp'];
                                d = a['seek']
                            } else {
                                if (f) {
                                    b = this['saved']['url'];
                                    c = d = ![]
                                } else {
                                    if (a = h['get'](this['saved']['cid'], this['saved']['time'])) {
                                        b = a['url'];
                                        c = a['stamp'];
                                        d = a['seek']
                                    }
                                }
                            }
                            if (b) {
                                e = this['play'](this['saved']['scene'], this['saved']['cid'], b, f, this['saved']['alive'], c, d, this['saved']['listener'], this['saved']['visible'], this['saved']['paused'])
                            }
                            this['saved'] = ![];
                            e || this['close']()
                        }
                    },
                    'close': function() {
                        this['stop']() && b['preview']()['hide']();
                        this['saved'] = ![];
                        return this
                    },
                    'record': ![],
                    'catchup': function(a) {
                        return this['record'] = this['plays'] ? h['get'](this['cid'], a ? a : this['time']()) : ![]
                    },
                    'listener': ![],
                    'fire': function(a) {
                        if (this['listener']) {
                            if (a in this['listener']) {
                                this['listener'][a]()
                            }
                        }
                        return this
                    },
                    'on': function() {
                        if (this['plays']) {
                            this['off']();
                            this['container']['on']('key:play.tv\x20key:pause.tv', function() {
                                console.trace('trace a');
                                a['pause']()
                            })['on']('key:stop.tv', function() {
                                if (a['visible']('fullscreen')) {
                                    a['timeshift'] && a['alive'] && a['play'](a['scene'], a['cid'], a['alive'], !![], !![], ![], ![], a['listener']) || a['close']()
                                }
                            })['on']('key:left.tv\x20key:right.tv', function(b) {
                                a['visible']('fullscreen') && Navi['trigger'](b['key']['name'] == 'left' ? 'backward' : 'forward')
                            })['on']('key:forward.tv\x20key:backward.tv', function(b) {
                                a['visible']('fullscreen') && v['rewind'](b['key']['name'])
                            })['on']('key:enter.tv', function() {
                                if (c['visible']()) {
                                    a['pause']()
                                } else {
                                    c['show']()
                                }
                            })['on']('key:info.tv\x20key:mouse.tv', function() {
                                c['toggle']()
                            })['on']('key:red.tv', function() {
                                if (a['visible']('fullscreen')) {
                                    var c = b['psize']['next']();
                                    if (c !== ![]) {
                                        a['psize'](c)
                                    }
                                }
                            })['on']('key:green.tv', function() {
                                if (a['visible']('fullscreen')) {
                                    var c = b['audio']['next']();
                                    if (c !== ![]) {
                                        a['audio'](c)
                                    }
                                }
                            })['on']('key:yellow.tv', function() {
                                if (a['visible']('fullscreen')) {
                                    var c = b['subtitles']['next']();
                                    if (c !== ![]) {
                                        a['subtitles'](c)
                                    }
                                }
                            })
                        }
                        return this
                    },
                    'off': function() {
                        if (this['container']) {
                            this['container']['off']('.tv')
                        }
                        return this
                    },
                    'presets': function(a) {
                        if (a = a || this['cid']) {
                            return {
                                'psize': o['get'](a),
                                'audio': p['get'](a),
                                'subtitle': l['get'](a)
                            }
                        }
                    },
                    'psize': function(a) {
                        this['cid'] && o['set'](this['cid'], a);
                        return this
                    },
                    'audio': function(a) {
                        this['cid'] && p['set'](this['cid'], a);
                        return this
                    },
                    'subtitles': function(a) {
                        this['cid'] && l['set'](this['cid'], a);
                        return this
                    },
                    'visible': function(a) {
                        return b['visible'](a)
                    },
                    'reset': function() {
                        this['scene'] = this['container'] = this['cid'] = this['url'] = this['stream'] = this['live'] = this['timeshift'] = this['alive'] = this['stamp'] = this['pos'] = this['ended'] = this['listener'] = this['plays'] = this['playing'] = this['paused'] = this['record'] = ![];
                        return this
                    },
                    'progress': function(){
                        if(this['duration'] > 0x0 && this['pos'] > 0x0){
                            return Math['floor'](this['pos'] / this['duration'] * 0x64)
                        }
                        return 0x0
                    },
                    'length': function() {
                        return this['duration'] || 0x0
                    }
                };
            return a
        }();
        var o = function() {
            return {
                'modes': {},
                'restore': function(a) {
                    if (a) {
                        this['modes'] = a
                    }
                    return this
                },
                'get': function(a) {
                    if (a && a in this['modes']) {
                        return this['modes'][a]
                    }
                },
                'set': function(b, a) {
                    if (b) {
                        var c = ![],
                            a = parseInt(a);
                        if (b in this['modes']) {
                            if (this['modes'][b] != a) {
                                if (a > 0x0) {
                                    this['modes'][b] = a
                                } else {
                                    delete this['modes'][b]
                                }
                                c = !![]
                            }
                        } else {
                            if (a > 0x0) {
                                this['modes'][b] = a;
                                c = !![]
                            }
                        }
                        c && this['save']()
                    }
                    return this
                },
                'serialize': function() {
                    return {
                        'psize': this['modes']
                    }
                },
                'save': function() {
                    f['save']();
                    return this
                }
            }
        }();
        var p = function() {
            return {
                'tracks': {},
                'restore': function(a) {
                    if (a) {
                        this['tracks'] = a
                    }
                    return this
                },
                'get': function(a) {
                    if (a && a in this['tracks']) {
                        return this['tracks'][a]
                    }
                },
                'set': function(b, a) {
                    if (b) {
                        var c = ![],
                            a = parseInt(a);
                        if (b in this['tracks']) {
                            if (this['tracks'][b] != a) {
                                if (a > 0x0) {
                                    this['tracks'][b] = a
                                } else {
                                    delete this['tracks'][b]
                                }
                                c = !![]
                            }
                        } else {
                            if (a > 0x0) {
                                this['tracks'][b] = a;
                                c = !![]
                            }
                        }
                        c && this['save']()
                    }
                    return this
                },
                'serialize': function() {
                    return {
                        'audio': this['tracks']
                    }
                },
                'save': function() {
                    f['save']();
                    return this
                }
            }
        }();
        var l = function() {
            return {
                'tracks': {},
                'restore': function(a) {
                    if (a) {
                        this['tracks'] = a
                    }
                    return this
                },
                'get': function(a) {
                    if (a && a in this['tracks']) {
                        return this['tracks'][a]
                    }
                },
                'set': function(b, a) {
                    if (b) {
                        var c = ![],
                            a = parseInt(a);
                        if (b in this['tracks']) {
                            if (this['tracks'][b] != a) {
                                if (a >= 0x0) {
                                    this['tracks'][b] = a
                                } else {
                                    delete this['tracks'][b]
                                }
                                c = !![]
                            }
                        } else {
                            if (a >= 0x0) {
                                this['tracks'][b] = a;
                                c = !![]
                            }
                        }
                        c && this['save']()
                    }
                    return this
                },
                'serialize': function() {
                    return {
                        'subtitles': this['tracks']
                    }
                },
                'save': function() {
                    f['save']();
                    return this
                }
            }
        }();
        var v = function() {
            var a = d;
            return {
                'dir': ![],
                'step': 0x0,
                'move': ![],
                'delta': 0x3c,
                'time': ![],
                'delay': ![],
                'rewind': function(b) {
                    if (a) {
                        this['stop']();
                        this['time'] = Math['min'](Math['max'](0x0, parseInt(((this['time'] === ![] ? a['time']() : this['time']) + (b == 'backward' ? -0xa : 0xa)) / 0xa) * 0xa), a['length']());
                        this['show']()['delay'] = $['timeout'](this, 0x7d0, function() {
                            a['seek'](this['time'] - a['time']());
                            this['reset']()
                        })
                    } else {
                        this['reset']()
                    }
                },
                'show': function() {
                    if (this['time']) {
                        //Player['osd']['info']['show']((Dating['same'](this['time'], 'l') ? '' : Dating['format']('%d\x20%M', this['time']) + ',\x20') + Dating['format']('%H:%i', this['time']));
                        Player['osd']['info']['show'](calc_time['hms'](this['time']));
                    }
                    return this
                },
                'stop': function() {
                    if (this['delay']) {
                        clearTimeout(this['delay']);
                        this['delay'] = ![]
                    }
                    return this
                },
                'reset': function() {
                    this['step'] = 0x0;
                    this['dir'] = this['move'] = this['time'] = ![];
                    return this['stop']()
                }
            }
        }();
        var u = function() {
            return {
                'bind': function() {
                    Main['on']('connected\x20disconnected', ![], !![], function(a) {
                        $('#preview\x20.holder')['toggle'](a['type'] == 'connected')
                    })['on']('player.show\x20player.hide', this, !![], function(a) {
                        this[a['namespace'] == 'show' ? 'hide' : 'show']()
                    });
                    $('#preview')['click'](function() {
                        if (Player['is']('preview') && a['plays']()) {
                            a['playing']()['focusin']('enter');
                            return ![]
                        }
                    });
                    return this
                },
                'show': function() {
                    $('#preview\x20.inner')['show']();
                    return this
                },
                'hide': function() {
                    $('#preview\x20.inner')['hide']();
                    return this
                }
            }
        }();
        var c = function() {
            var b = d,
                c = {
                    'cid': ![],
                    'time': ![],
                    'loading': ![],
                    'container': ![],
                    'updating': ![],
                    'ready': function() {
                        return b['plays'] && b['visible']('fullscreen')
                    },
                    'show': function() {
                        if (this['ready']()) {
                            if (this['cid'] == b['cid']) {
                                this['reset']()
                            } else {
                                this['hide']()
                            }
                            this['cid'] = b['cid'];
                            this['time'] = b['time']();
                            this['loading'] = $['timeout'](this, 0x1f4, function() {
                                if (1) {
                                    var k = function(){},
                                        i = k['archive'] && h['enabled'](),
                                        l, m = Legend['html']({
                                            'pause': {
                                                'key': b['paused'] ? 'play' : 'pause',
                                                'enabled': i
                                            },
                                            'backward': {
                                                'key': 'backward',
                                                'enabled': i
                                            },
                                            'forward': {
                                                'key': 'forward',
                                                'enabled': i
                                            },
                                            'live': {
                                                'key': 'stop',
                                                'label': ['tv', 'infobar', 'live'],
                                                'enabled': b['timeshift'] && b['alive'] && i
                                            },
                                            'stop': {
                                                'key': 'stop',
                                                'enabled': i ? b['live'] ? !![] : b['alive'] ? ![] : !![] : !![]
                                            }
                                        }),
                                        n = Legend['html']({
                                            'pause': {
                                                'key': 'enter',
                                                'label': ['tv', 'infobar', b['paused'] ? 'play' : 'pause'],
                                                'enabled': i
                                            },
                                            'channels': {
                                                'key': 'up',
                                                'icon': 'ud',
                                                'label': ['tv', 'playlist', 'channels'],
                                                'enabled': b['scene'] == 'playlist'
                                            },
                                            'programs': {
                                                'key': 'up',
                                                'icon': 'ud',
                                                'label': ['tv', 'guide', 'programs'],
                                                'enabled': b['scene'] == 'guide' && i && g
                                            },
                                            'rewind': {
                                                'key': 'left',
                                                'icon': 'lr',
                                                'label': ['tv', 'infobar', 'rewind'],
                                                'enabled': i
                                            },
                                            'psize': {
                                                'key': 'red',
                                                'label': ['tv', 'infobar', 'psize'],
                                                'enabled': Player['psize']['supports']()
                                            },
                                            'audio': {
                                                'key': 'green',
                                                'label': ['tv', 'infobar', 'audio'],
                                                'enabled': Player['audio']['supports']()
                                            },
                                            'subtitles': {
                                                'key': 'yellow',
                                                'label': ['tv', 'infobar', 'subtitles'],
                                                'enabled': Player['subtitles']['supports']()
                                            },
                                            'back': {
                                                'key': 'back',
                                                'label': ['navigation', 'back']
                                            }
                                        });
                                    
                                    l = '<div\x20class=\x22times\x22><span class="tempo_programa">' + calc_time['hms'](d['time']()) + ' - ' + calc_time['hms'](d['length']()) + '</span>\x20<span\x20class=\x22progress\x22><span\x20class=\x22bar\x22\x20style=\x22width:\x20' + d['progress']() + '%;\x22></span></span>\x20<span class="percent">' + d['progress']() + '%' + '</span></div>'
                                    
                                    this['container'] = this['container'] || $('<div\x20id=\x22infobar\x22></div>')['appendTo'](document['body'])['click'](function(a) {
                                        c['show']();
                                        return $(a['target'])['clickable']()
                                    });
                                    this['container']['html']('<div\x20class=\x22bg\x22></div><div\x20class=\x22inner\x22><div\x20class=\x22time\x22>' + Dating['format']('%D,\x20%d\x20%M', 'l') + '<br\x20/>' + Dating['format']('%H:%i', 'l') + '</div><div\x20class=\x22channel\x22>' + (j['enabled']() && k['logo'] ? '<div\x20class=\x22logo\x22><img\x20class=\x22fill\x22\x20src=\x22' + k['logo'] + '\x22\x20/></div>' : '') + '<div\x20class=\x22title' + (b['live'] ? '' : '\x20archive') + '\x22>' + b['cid'] + '</div></div>' + (l ? '<div\x20class=\x22program\x22>' + l + '</div>' : '') + n + (m ? '<div\x20class=\x22controls\x22>' + m + '</div>' : '') + '</div>')['show']();

                                    this['updating'] = $['interval'](this, 0x3e8, function() {
                                        this['container']['find']('.time')['html'](Dating['format']('%D,\x20%d\x20%M', 'l') + '<br\x20/>' + Dating['format']('%H:%i', 'l'))['end']();
                                        this['container']['find']('.program')['find']('.times')['find']('.tempo_programa')['text'](calc_time['hms'](d['time']()) + ' - ' + calc_time['hms'](d['length']()))['end']();
                                        this['container']['find']('.progress .bar')['width'](d['progress']() + '%')['end']();
                                        this['container']['find']('.program')['find']('.times')['find']('.percent')['text'](d['progress']() + '%');
                                    });
                                }

                                this['hiding'] = $['timeout'](this, 10000, this['hide'])
                            })
                        } else {
                            this['hide']()
                        }
                        return this
                    },
                    'hiding': ![],
                    'hide': function() {
                        if (this['container']) {
                            this['container']['remove']();
                            this['container'] = ![]
                        }
                        return this['reset']()
                    },
                    'visible': function() {
                        return !!this['container']
                    },
                    'toggle': function() {
                        return this['visible']() ? this['hide']() : this['show']()
                    },
                    'reset': function() {
                        if (this['loading']) {
                            clearTimeout(this['loading']);
                            this['loading'] = ![]
                        }
                        if (this['hiding']) {
                            clearTimeout(this['hiding']);
                            this['hiding'] = ![]
                        }
                        this['cid'] = this['time'] = ![];
                        return this
                    }
                };
            return c
        }();
        var calc_time = function() {
            return {
                'get': function() {
                    if (arguments['length'] > 0x1) {
                        var a, f, c, d, b, e = !![];
                        if (arguments['length'] == 0x2) {
                            a = arguments[0x0];
                            b = arguments[0x1]
                        } else if (arguments['length'] == 0x3) {
                            if (arguments[0x1] === !![] || arguments[0x1] === ![]) {
                                a = arguments[0x0];
                                e = arguments[0x1]
                            } else if ($['isPlainObject'](arguments[0x0])) {
                                d = arguments[0x0];
                                a = arguments[0x1]
                            } else {
                                a = arguments[0x0];
                                c = arguments[0x1]
                            }
                            b = arguments[0x2]
                        } else if (arguments['length'] == 0x4) {
                            if ($['isPlainObject'](arguments[0x0])) {
                                d = arguments[0x0];
                                a = arguments[0x1]
                            } else {
                                a = arguments[0x0];
                                e = arguments[0x1]
                            }
                            c = arguments[0x2];
                            b = arguments[0x3]
                        } else if (arguments['length'] == 0x5) {
                            d = arguments[0x0];
                            a = arguments[0x1];
                            e = arguments[0x2];
                            c = arguments[0x3];
                            b = arguments[0x4]
                        }
                        if (a && b && (f = c ? c['get'] || a : a)) {
                            $['ajax']({
                                'url': 'vod/' + a,
                                'data': c,
                                'async': e,
                                'success': function(a) {
                                    b['call'](d, a[f])
                                },
                                'error': function() {
                                    b['call'](d)
                                }
                            })
                        }
                    }
                },
                'cut': function(a, b) {
                    var c, d, e = b * 0.75;
                    if (a['length'] > b) {
                        if ((c = a['lastIndexOf']('.', b)) >= e && c + 0x3 <= b) {
                            if (a['substring'](c, c + 0x3) == '...') {
                                return a['substring'](0x0, c + 0x3)
                            } else {
                                return a['substring'](0x0, c + 0x1) + '..'
                            }
                        }
                        a = $['trim']((d = a['lastIndexOf'](',', b)) >= e && d + 0x3 <= b ? a['substring'](0x0, d) : a['substring'](0x0, b - 0x3)) + '...'
                    }
                    return a
                },
                'hms': function(a) {
                    var a = parseInt(a),
                        b = Math['floor'](a / 0xe10),
                        c = Math['floor']((a - b * 0xe10) / 0x3c),
                        a = a - b * 0xe10 - c * 0x3c;
                    return (b < 0xa ? '0' + b : b) + ':' + (c < 0xa ? '0' + c : c) + ':' + (a < 0xa ? '0' + a : a)
                },
                'parse': {
                    'duration': function(a) {
                        if ((a = parseInt(a)) > 0x0) {
                            return {
                                'hours': Math['floor'](a / 0xe10),
                                'minutes': Math['floor']((a %= 0xe10) / 0x3c),
                                'seconds': a %= 0x3c
                            }
                        }
                    },
                    'genres': function(a) {
                        if (a) {
                            if (a['indexOf'](',') != -0x1) {
                                a = a['split'](',')['map']($['trim']);
                                for (var b in a) {
                                    a[b] = Language['message'](['vod', 'genres', a[b]])
                                }
                                a = a['join'](',\x20')
                            } else {
                                a = Language['message'](['vod', 'genres', a])
                            }
                        }
                        return a || ''
                    }
                }
            }
        }();
        var s = function() {
            return {
                'container': ![],
                'delay': ![],
                'number': 0x0,
                'enter': function(b, c) {
                    this['stop']();
                    b = parseInt(b);
                    if (b >= 0x0 && b <= 0x9) {
                        this['number'] = this['number'] * 0xa + b;
                        if (this['number']['toString']()['length'] > a['number']['max']()['toString']()['length']) {
                            this['number'] = parseInt(this['number']['toString']()['substring'](0x1))
                        }
                    }
                    if (this['number']) {
                        this['show']()['delay'] = $['timeout'](this, 0xbb8, function() {
                            c && c(this['number']);
                            this['reset']()
                        })
                    } else {
                        this['reset']()
                    }
                },
                'adapt': function() {
                    return this['delay'] ? this['classify']() : this['hide']()
                },
                'classify': function() {
                    if (this['container']) {
                        if (Player['is']('preview')) {
                            this['container']['removeClass']('fullscreen')['addClass']('preview')
                        } else {
                            this['container']['removeClass']('preview')['addClass']('fullscreen')
                        }
                    }
                    return this
                },
                'show': function() {
                    this['hide']()['container'] = $('<div\x20id=\x22numpad\x22>CH\x20' + this['number'] + '</div>')['appendTo'](document['body'])['show']();
                    return this['classify']()
                },
                'hide': function() {
                    if (this['container']) {
                        this['container']['remove']();
                        this['container'] = ![]
                    }
                    return this
                },
                'stop': function() {
                    if (this['delay']) {
                        clearTimeout(this['delay']);
                        this['delay'] = ![]
                    }
                    return this
                },
                'reset': function() {
                    this['number'] = 0x0;
                    return this['stop']()['hide']()
                }
            }
        }();
        var e = function() {
            var a = {
                'enabled': function() {
                    return Config['enabled']('tv', 'epg')
                },
                'cache': {},
                'get': function(j, c, g, h, b) {
                    if (j && c) {
                        if (this['enabled']() && this['clean']()) {
                            var d = {
                                'cid': j,
                                'type': c
                            };
                            if (g) {
                                d['time'] = parseInt(Dating['convert'](c == 'day' ? Dating['parse'](g)['setHours'](0x0, 0x0, 0x0, 0x0) / 0x3e8 : g, 'l', 's')['getTime']() / 0x3e8)
                            }
                            var e = $['toJSON'](d),
                                f = this['cache'][e],
                                i = this['stamp']();
                            if (f) {
                                if (f['stamp'] == i) {
                                    b && b['call'](h, this['copy'](f['value']));
                                    return
                                } else {
                                    delete this['cache'][e]
                                }
                            }
                            $['ajax']({
                                'url': 'tv/epg',
                                'data': d,
                                'success': function(d) {
                                    a['cache'][e] = {
                                        'type': c,
                                        'stamp': i,
                                        'value': a['copy'](d['epg'])
                                    };
                                    b && b['call'](h, d['epg'] || ![])
                                }
                            })
                        } else {
                            b && b['call'](h, ![])
                        }
                    }
                },
                'stamp': function() {
                    return Dating['format']('%Y%m%d%H%i', 's')
                },
                'copy': function(a) {
                    return a ? $['extend'](!![], {}, a) : ![]
                },
                'clean': function(b) {
                    for (var a in this['cache']) {
                        if (b) {
                            delete this['cache'][a];
                            b = ![]
                        } else {
                            if (this['cache'][a]['stamp'] != this['stamp']()) {
                                delete this['cache'][a]
                            }
                        }
                    }
                    if ($['toJSON'](this['cache'])['length'] / 0x400 > 0x400) {
                        this['clean'](!![])
                    }
                    return this
                },
                'parse': {
                    'row': function(a, b) {
                        if (a) {
                            if ('start' in a) {
                                a['start'] = this['date'](a['start'])
                            }
                            if ('stop' in a) {
                                a['stop'] = this['date'](a['stop'])
                            }
                            if (b) {
                                if (a['start'] && a['stop']) {
                                    a['progress'] = this['progress'](a['start'], a['stop'], b)
                                }
                            }
                            if ('duration' in a) {
                                a['duration'] = this['duration'](a['duration']);
                            }
                        }
                        return a
                    },
                    'date': function(a) {
                        return Dating['convert'](a, 's', 'l')
                    },
                    'progress': function(a, c, b, e) {
                        if ((a = $['isNumeric'](a) ? a : Dating['parse'](a)['getTime']() / 0x3e8) && (c = $['isNumeric'](c) ? c : Dating['parse'](c)['getTime']() / 0x3e8) && (b = $['isNumeric'](b) ? b : Dating['parse'](b)['getTime']() / 0x3e8)) {
                            var d;
                            if (b >= c) {
                                d = 0x64
                            } else if (a > b) {
                                d = 0x0
                            } else {
                                d = Math['round']((b - a) / (c - a) * 0x64 * (e ? 0xa : 0x1)) / (e ? 0xa : 0x1)
                            }
                            return d
                        }
                    },
                    'duration': function(a) {
                        var b = {
                            'hours': 0x0,
                            'minutes': 0x0
                        };
                        if (a) {
                            a = parseInt(a);
                            if (a > 0x0) {
                                b['hours'] = Math['floor'](a / 0xe10);
                                a %= 0xe10;
                                b['minutes'] = Math['floor'](a / 0x3c)
                            }
                        }
                        return b
                    }
                }
            };
            return a
        }();
        var h = function() {
            return {
                'enabled': function() {
                    return Config['enabled']('tv', 'archive')
                },
                'get': function(d, e) {
                    var b = ![];
                    if (this['enabled']()) {
                        if (a['archived'](d)) {
                            var c = {
                                'cid': d
                            };
                            if (e) {
                                c['time'] = parseInt(Dating['convert'](e, 'l', 's')['getTime']() / 0x3e8)
                            }
                            $['ajax']({
                                'url': 'tv/archive',
                                'data': c,
                                'async': ![],
                                'success': function(a) {
                                    b = a['archive'] || ![]
                                }
                            })
                        }
                    }
                    return b
                }
            }
        }();
        var q = function() {
            var a = {
                'genres': ![],
                'channels': ![],
                'load': function(b) {
                    $['ajax']({
                        'url': 'vod/playlist',
                        'success': function(c) {
                            a['setup'](c['playlist'], b)
                        }
                    })
                },
                'setup': function(a, b) {
                    if (a) {
                        if (this['channels'] = a['channels']) {
                            if (a['genres']) {
                                this['genres'] = a['genres']
                            }
                            b && b()
                        }
                    }
                }
            };
            return a
        }();
        var j = function() {
            var b = !![],
                c = {
                    'restore': function(a) {
                        return this['toggle'](a)
                    },
                    'toggle': function(a) {
                        b = !!a;
                        return this
                    },
                    'enabled': function() {
                        return b
                    },
                    'serialize': function() {
                        return {
                            'logos': b
                        }
                    },
                    'save': function() {
                        f['save']();
                        return this
                    },
                    'dialog': function() {
                        var d = Proto['choose']({
                            'title': ['tv', 'settings', 'logos'],
                            'value': b,
                            'options': [{
                                'label': ['tv', 'logos', 'enable'],
                                'value': !![]
                            }, {
                                'label': ['tv', 'logos', 'disable'],
                                'value': ![]
                            }],
                            'select': function(b) {
                                c['toggle'](b)['save']() && a['refresh']()['focus']()['focusin']() && d['close']()
                            }
                        });
                        d['open']()
                    }
                };
            return c
        }();
        var k = function() {
            var b = q,
                c = {
                    'gid': 0x2,
                    'set': function(b) {
                        if (this['gid'] != (b = b || 0x0)) {
                            var c = ![];
                            if (b > 0x0) {
                                if (this['has'](b)) {
                                    this['gid'] = b;
                                    c = !![]
                                }
                            } else {
                                if (b < 0x0) {
                                    if (g['isset']()) {
                                        this['gid'] = -0x1;
                                        c = !![]
                                    }
                                }
                            }
                            if (!c) {
                                if (this['gid'] != 0x0) {
                                    this['gid'] = 0x0;
                                    c = !![]
                                }
                            }
                            if (c) {
                                a['refresh']();
                                this['save']()['show']()
                            }
                        }
                        return this
                    },
                    'restore': function(a) {
                        return this['set'](a)
                    },
                    'search': function(d) {
                        var a = -0x1;
                        if (d > 0x0) {
                            for (var c in b['genres']) {
                                if (d == b['genres'][c]['id']) {
                                    a = c;
                                    break
                                }
                            }
                        }
                        return a
                    },
                    'has': function(a) {
                        return this['search'](a) != -0x1
                    },
                    'get': function(e, a) {
                        var c, d = this['search'](e);
                        if (d != -0x1) {
                            c = b['genres'][d];
                            if (a) {
                                if ($['isFunction'](a)) {
                                    return a(c)
                                }
                                return c[a]
                            }
                        }
                        return c
                    },
                    'match': function(a, b) {
                        return this['gid'] == 0x0 || this['gid'] == a || this['gid'] == -0x1 && g['has'](b)
                    },
                    'serialize': function() {
                        return {
                            'genre': this['gid'] == -0x1 ? g['isset']() ? -0x1 : 0x0 : this['gid']
                        }
                    },
                    'save': function() {
                        f['save']();
                        return this
                    },
                    'show': function() {
                        var b;
                        if (this['gid'] > 0x0) {
                            b = this['get'](this['gid'], function(a) {
                                return {
                                    'count': a['count'],
                                    'title': Language['message'](['tv', 'genres', a['title']])
                                }
                            })
                        } else if (this['gid'] == -0x1) {
                            b = {
                                'count': g['count'](),
                                'title': Language['message'](['tv', 'genres', 'favorites'])
                            }
                        } else {
                            b = {
                                'count': a['count'](),
                                'title': Language['message'](['tv', 'genres', 'all'])
                            }
                        }
                        if (b) {
                            Header['set']('<div\x20class=\x22count\x22>' + b['count'] + '</div>', b['title'])
                        } else {
                            Header['empty']()
                        }
                        return this
                    },
                    'dialog': function() {
                        var d = Proto['choose']({
                            'title': ['tv', 'playlist', 'genres'],
                            'value': c['gid'],
                            'options': function() {
                                var c = [];
                                if (g['isset']()) {
                                    c['push']({
                                        'label': ['tv', 'genres', 'favorites'],
                                        'value': -0x1,
                                        'alt': g['count']()
                                    })
                                }
                                for (var d in b['genres']) {
                                    c['push']({
                                        'label': ['tv', 'genres', b['genres'][d]['title']],
                                        'value': b['genres'][d]['id'],
                                        'alt': b['genres'][d]['count']
                                    })
                                }
                                return c
                            },
                            'select': function(b) {
                                c['set'](b) && a['focus']()['focusin']() && d['close']()
                            }
                        });
                        d['open']()
                    }
                };
            return c
        }();
        var a = function() {
            var b = q,
                a = {
                    'set': function(a) {
                        if (this['has'](a)) {
                            this['cid'] = a
                        }
                        return this
                    },
                    'restore': function(a) {
                        if (a) {
                            if (a['sorting']) {
                                this['sort'](a['sorting'])
                            }
                            if (a['last']) {
                                this['set'](a['last'])
                            }
                        }
                        return this
                    },
                    'search': function(d) {
                        var a = -0x1;
                        if (d) {
                            for (var c in b['channels']) {
                                if (d == b['channels'][c]['id']) {
                                    a = c;
                                    break
                                }
                            }
                        }
                        return a
                    },
                    'has': function(a) {
                        return this['search'](a) != -0x1
                    },
                    'get': function(e, a) {
                        var c, d = this['search'](e);
                        if (d != -0x1) {
                            c = b['channels'][d];
                            if (a) {
                                if ($['isFunction'](a)) {
                                    return a(c)
                                }
                                return c[a]
                            }
                        }
                        return c
                    },
                    'archived': function(a) {
                        return this['get'](a, 'archive')
                    },
                    'censored': function(a) {
                        return this['get'](a, 'censored')
                    },
                    'count': function() {
                        return b['channels']['length']
                    },
                    'elements': function(a, b) {
                        return $('.channel' + (b ? '[data-' + a + '=' + b + ']' : a ? '.' + a : ''), this['container'])
                    },
                    'cid': ![],
                    'focus': function(a) {
                        if (a && a !== !![] || a === ![]) {
                            var b;
                            if (a) {
                                b = $(a)['addClass']('focused')['data']('id') || ![]
                            } else {
                                b = ![]
                            }
                            this['cid'] == b || (this['cid'] = b) && this['save']();
                            if (b) {
                                r['show']()
                            } else {
                                r['hide']()
                            }
                            return this
                        } else {
                            var c = this['elements']('focused');
                            if (a === !![]) {
                                return this['focus'](c[0x0] || ![])
                            }
                            return c
                        }
                    },
                    'play': function(c, h) {
                        if (c) {
                            var e, b = $(c)['data']('id'),
                                f = b && b !== this['pid'] ? this['get'](b, 'url') : ![];
                            if (f) {
                                var g = function() {
                                    b = $(c).children(".title")[0].innerText;
                                    if (d['play']('playlist', b, f, !![], !![], ![], ![], {
                                            'play': function() {
                                                if (e) {
                                                    a['playing'](!![], e)
                                                } else {
                                                    e = a['playing'](c)['pid']
                                                }
                                            },
                                            'stop': function() {
                                                a['playing'](![])
                                            },
                                            'pause': function() {
                                                a['pause'](!![])
                                            },
                                            'resume': function() {
                                                a['pause'](![])
                                            }
                                        })) {
                                        h && h()
                                    } else {
                                        d['close']()
                                    }
                                };
                                Censor['enabled']() && (this['censored'](b) || i['has'](b)) ? Censor['confirm'](g) : g()
                            }
                        }
                        return this
                    },
                    'pid': ![],
                    'playing': function(a, b) {
                        if (a && a !== !![] || a === ![]) {
                            if (a) {
                                this['pid'] = $(a)['removeClass']('prech')['toggleClass']('paused', this['paused'])['addClass']('playing')['data']('id') || ![]
                            } else {
                                if (b) {
                                    this['pid'] = b
                                } else {
                                    if (this['pid']) {
                                        this['prech'](this['playing']())
                                    }
                                    this['pid'] = this['paused'] = ![]
                                }
                            }
                            return this
                        } else {
                            var c = b ? this['elements']('id', b) : this['elements']('playing');
                            if (a === !![]) {
                                return this['playing'](c[0x0] || ![], b)
                            }
                            return c
                        }
                    },
                    'plays': function(a) {
                        return this['pid'] ? a ? $(a)['data']('id') == this['pid'] : !![] : ![]
                    },
                    'paused': ![],
                    'pause': function(a) {
                        return this['playing']()['toggleClass']('paused', this['paused'] = a)
                    },
                    'hid': ![],
                    'prech': function(a) {
                        if (a && a !== !![] || a === ![]) {
                            if (this['hid']) {
                                this['prech']()['removeClass']('prech')
                            }
                            if (a) {
                                this['hid'] = $(a)['removeClass']('playing')['removeClass']('paused')['addClass']('prech')['data']('id') || this['pid'] || ![]
                            } else {
                                this['hid'] = ![]
                            }
                            return this
                        } else {
                            var b = this['elements']('prech');
                            if (a === !![]) {
                                return this['prech'](b[0x0] || ![])
                            }
                            return b
                        }
                    },
                    'by': 'number',
                    'sorts': {
                        'number': function(a, b) {
                            return a['number'] - b['number']
                        },
                        'alpha': function(c, d) {
                            var a = c['name']['toString']()['toLowerCase'](),
                                b = d['name']['toString']()['toLowerCase']();
                            return a < b ? -0x1 : a > b ? 0x1 : 0x0
                        },
                        'genre': function(a, b) {
                            return a['genre'] - b['genre']
                        }
                    },
                    'sort': function(a) {
                        if (a) {
                            if (a in this['sorts'] && a != this['by']) {
                                this['by'] = a;
                                this['save']()['refresh']()
                            }
                        }
                        return this
                    },
                    'number': {
                        'max': function() {
                            var b = 0x0;
                            a['elements']()['each'](function() {
                                b = Math['max'](b, $(this)['data']('number'))
                            });
                            return b
                        }
                    },
                    'container': ![],
                    'show': function() {
                        var f = !!this['hide']()['cid'],
                            a = b['channels']['sort'](this['sorts'][this['by']]),
                            l = h['enabled'](),
                            m = Censor['enabled'](),
                            e = '';
                        for (var c in a) {
                            if (k['match'](a[c]['genre'], a[c]['id'])) {
                                e += '<div\x20class=\x22focusable\x20channel' + (g['has'](a[c]['id']) ? '\x20favorite' : '') + (a[c]['archive'] && l ? '\x20archive' : '') + ((this['cid'] == a[c]['id'] ? !![] : f ? ![] : f = !![]) ? '\x20focused' : '') + (this['pid'] == a[c]['id'] ? '\x20playing' : '') + (this['hid'] == a[c]['id'] ? '\x20prech' : '') + (m ? a[c]['censored'] ? '\x20censored' : i['has'](a[c]['id']) ? '\x20locked' : '' : '') + '\x22\x20data-id=\x22' + a[c]['id'] + '\x22\x20data-number=\x22' + a[c]['number'] + '\x22><div\x20class=\x22num\x22>' + a[c]['number'] + '</div>' + (j['enabled']() ? '<div\x20class=\x22logo\x22>' + (a[c]['logo'] ? '<img\x20class=\x22lazy\x20fill\x22\x20data-src=\x22' + a[c]['logo'] + '\x22\x20/>' : '') + '</div>' : '') + '<div\x20class=\x22title\x22><div\x20class=\x22name\x22><div\x20class=\x22inner\x22>' + a[c]['name'] + '</div></div></div></div>'
                            }
                        }
                        if (e) {
                            this['container'] = $('<div\x20id=\x22channels\x22><div\x20class=\x22navigable\x20list\x20scrollable\x22\x20data-loop=\x22true\x22\x20data-plane=\x22vertical\x22>' + e + '</div></div>')['appendTo']('#playlist')['scrollable']()['show']()['on']('scrolling\x20paging', '.list', function() {
                                var a = ![];
                                return function() {
                                    if (a) {
                                        clearTimeout(a)
                                    }
                                    a = $['timeout'](this, 0x3e8, function() {
                                        $(this)['lazy']();
                                        a = ![]
                                    })
                                }
                            }());
                            if (this['cid']) {
                                this['focus'](!![])
                            }
                            if (this['pid']) {
                                this['playing'](!![])['pid'] === ![] && d['close']()
                            }
                            if (this['hid']) {
                                this['prech'](!![])
                            }
                        }
                        return this
                    },
                    'hide': function() {
                        if (this['container']) {
                            this['container']['remove']();
                            this['container'] = ![]
                        }
                        r['hide']();
                        return this
                    },
                    'refresh': function() {
                        return this['container'] ? this['focus'](![])['show']() : this
                    },
                    'serialize': function() {
                        if (this['cid']) {
                            return {
                                'channels': {
                                    'last': this['cid'],
                                    'sorting': this['by']
                                }
                            }
                        }
                    },
                    'save': function() {
                        f['save']();
                        return this
                    },
                    'dialog': function() {
                        var b = Proto['choose']({
                            'title': ['tv', 'playlist', 'sorts'],
                            'value': a['by'],
                            'options': function() {
                                var b = [];
                                for (var c in a['sorts']) {
                                    b['push']({
                                        'label': ['tv', 'sorts', c],
                                        'value': c
                                    })
                                }
                                return b
                            },
                            'select': function(c) {
                                a['sort'](c)['focus']()['focusin']() && b['close']()
                            }
                        });
                        b['open']()
                    },
                    'details': function(c) {
                        if (c) {
                            var e = $(c)['data']('id'),
                                a = this['get'](e);

                            var resp = [];
                            $.ajax({
                                url: 'sinopse',
                                type: 'POST',
                                dataType: 'json',
                                async: false,
                                data: {
                                    cid: e
                                },
                                success: function(data){
                                    resp.push(data);
                                }
                            });

                            var size = Object.keys(resp[0]['info']).length;

                            if (size > 0) {
                                var d = Proto['dialog']({
                                    'id': 'video',
                                    'title': resp[0]['movie_data']['name'],
                                    'legend': {
                                        'play': {
                                            'key': 'enter',
                                            'label': ['tv', 'guide', 'play'],
                                            'enabled': a['archive'] && $(c)['hasClass']('archive')
                                        },
                                        'back': {
                                            'key': 'back',
                                            'label': ['navigation', 'back']
                                        }
                                    },
                                    'body': function() {
                                        //var d = (resp[0]['info']['genre'] ? '<div\x20class=\x22item\x22>' + 'Genero' + ':\x20' + resp[0]['info']['genre'] + '</div>' : '') + (resp[0]['info']['releasedate'] ? '<div\x20class=\x22item\x22>' + 'Lançamento' + ':\x20' + resp[0]['info']['releasedate'] + '</div>' : '') + (b['country'] ? '<div\x20class=\x22item\x22>' + Language['message'](['vod', 'playlist', 'country']) + ':\x20' + b['country'] + '</div>' : '') + (resp[0]['info']['director'] ? '<div\x20class=\x22item\x22>' + 'Diretor' + ':\x20' + resp[0]['info']['director'] + '</div>' : '') + (resp[0]['info']['cast'] ? '<div\x20class=\x22item\x22>' + 'Elenco' + ':\x20' + resp[0]['info']['cast'] + '</div>' : '') + (resp[0]['info']['plot'] ? '<div\x20class=\x22item\x22>' + resp[0]['info']['plot'] + '</div>' : '');
                                        var d = '<div\x20class=\x22item\x22>' + 'Genero' + ':\x20' + (resp[0]['info']['genre'] ? resp[0]['info']['genre'] + '</div>' : 'n/a</div>') + '<div\x20class=\x22item\x22>' + 'Lançamento' + ':\x20' + (resp[0]['info']['releasedate'] ? resp[0]['info']['releasedate'] + '</div>' : 'n/a</div>') + (b['country'] ? '<div\x20class=\x22item\x22>' + Language['message'](['vod', 'playlist', 'country']) + ':\x20' + b['country'] + '</div>' : '') + '<div\x20class=\x22item\x22>' + 'Diretor' + ':\x20' + (resp[0]['info']['director'] ? resp[0]['info']['director'] + '</div>' : 'n/a</div>') + (resp[0]['info']['cast'] ? '<div\x20class=\x22item\x22>' + 'Elenco' + ':\x20' + resp[0]['info']['cast'] + '</div>' : '') + '<div\x20class=\x22item\x22>' + (resp[0]['info']['plot'] ? resp[0]['info']['plot'] + '</div>' : 'n/a</div>');
                                        return '<div\x20class=\x22details\x22>' + (resp[0]['info']['movie_image'] ? '<div\x20class=\x22cover\x22><img\x20src=\x22' + resp[0]['info']['movie_image'] + '\x22\x20/></div>' : '') + (d ? '<div\x20class=\x22info\x22><div\x20class=\x22list\x22>' + d + '</div></div>' : '') + '</div>'
                                    },
                                    'on': function() {
                                        this['container']['on']('key:back.dialog', function() {
                                            d['close']()
                                        })['on']('key:enter.dialog', function() {
                                            d['close']();
                                            play_d['play'](c);
                                        })
                                    },
                                    'off': function() {
                                        this['container']['off']('.dialog')
                                    }
                                });
                                d['open']()
                            }else{
                                play_d['play'](c);
                            }
                        }
                    }
                };
            return a
        }();

        var play_d = function(){
            return {
                'play': function(c){
                    a['play'](c);
                }
            };
        }();

        var r = function() {
            var b = a;
            return {
                'cut': {
                    'name': 0x23
                },
                'cid': ![],
                'loading': ![],
                'updating': ![],
                'container': ![],
                'show': function() {
                    if (b['cid']) {
                        if (this['cid'] == b['cid']) {
                            this['reset']()
                        } else {
                            this['hide']()
                        }
                        this['cid'] = b['cid'];
                        this['loading'] = $['timeout'](this, 0x1f4, function() {
                            
                            $.ajax({
                                type: "POST",
                                url: "sinopse",
                                data: {
                                    cid: this['cid']
                                },
                                success: function(resp) {
                                    var size = Object.keys(resp['info']).length;
                                    if(size > 0){
                                        if(this['container']){
                                            this['container']['remove']();
                                            this['container'] = ![]
                                        }
                                        this['container'] = (this['container'] || $('<div\x20id=\x22forecast\x22></div>')['appendTo']('#playlist'))['html']('<span>' + resp['info']['plot'] + '</span>')['show']();   
                                    }else{
                                        this['container'] = (this['container'] || $('<div\x20id=\x22forecast\x22></div>')['appendTo']('#playlist'))['html']('<span></span>')['show']();  
                                    }                    
                                }
                            });

                        })
                    } else {
                        this['hide']()
                    }
                    return this
                },
                'hide': function() {
                    if (this['container']) {
                        this['container']['remove']();
                        this['container'] = ![]
                    }
                    return this['reset']()
                },
                'reset': function() {
                    if (this['loading']) {
                        clearTimeout(this['loading']);
                        this['loading'] = ![]
                    }
                    if (this['updating']) {
                        clearInterval(this['updating']);
                        this['updating'] = ![]
                    }
                    this['cid'] = ![];
                    return this
                }
            }
        }();

        var g = function() {
            var b = a;
            return {
                'channels': [],
                'restore': function(a) {
                    if (a) {
                        for (var c in a) {
                            if (b['has'](a[c])) {
                                this['channels']['push'](a[c])
                            }
                        }
                    }
                    return this
                },
                'count': function() {
                    return this['channels']['length']
                },
                'isset': function() {
                    return this['count']() > 0x0
                },
                'search': function(c) {
                    var a = -0x1;
                    if (c) {
                        for (var b in this['channels']) {
                            if (c == this['channels'][b]) {
                                a = b;
                                break
                            }
                        }
                    }
                    return a
                },
                'has': function(a) {
                    return this['search'](a) != -0x1
                },
                'toggle': function(f) {
                    var a = $(f)['data']('id'),
                        d = ![],
                        c = ![],
                        e = this['search'](a);
                    if (e != -0x1) {
                        this['channels']['splice'](e, 0x1);
                        c = !![]
                    } else {
                        if (b['has'](a)) {
                            this['channels']['push'](a);
                            d = c = !![]
                        }
                    }
                    if (c) {
                        this['save']()
                    }
                    return d
                },
                'serialize': function() {
                    return {
                        'favorites': this['channels']
                    }
                },
                'save': function() {
                    f['save']();
                    return this
                }
            }
        }();
        var i = function() {
            var b = a;
            return {
                'channels': [],
                'restore': function(a) {
                    if (a) {
                        for (var c in a) {
                            if (b['has'](a[c])) {
                                this['channels']['push'](a[c])
                            }
                        }
                    }
                    return this
                },
                'search': function(c) {
                    var a = -0x1;
                    if (c) {
                        for (var b in this['channels']) {
                            if (c == this['channels'][b]) {
                                a = b;
                                break
                            }
                        }
                    }
                    return a
                },
                'has': function(a) {
                    return this['search'](a) != -0x1
                },
                'toggle': function(f) {
                    var a = $(f)['data']('id'),
                        d = ![],
                        c = ![],
                        e = this['search'](a);
                    if (e != -0x1) {
                        this['channels']['splice'](e, 0x1);
                        c = !![]
                    } else {
                        if (b['has'](a)) {
                            this['channels']['push'](a);
                            d = c = !![]
                        }
                    }
                    if (c) {
                        this['save']()
                    }
                    return d
                },
                'serialize': function() {
                    return {
                        'locker': this['channels']
                    }
                },
                'save': function() {
                    f['save']();
                    return this
                }
            }
        }();
        (function() {
            var b = Scenes['add'](Proto['scene']('playlist', {
                'main': !![],
                'legend': function(b) {
                    var a = {
                        'numpad': {
                            'icon': '0_9',
                            'label': ['tv', 'playlist', 'numpad']
                        },
                        'enter': {
                            'key': 'enter',
                            'label': ['navigation', 'enter']
                        },
                        'move': {
                            'key': 'down',
                            'icon': 'move',
                            'label': ['navigation', 'move']
                        },
                        'back': {
                            'key': 'back',
                            'label': ['navigation', 'back']
                        }
                    };
                    if ($(b)['hasClass']('channel')) {
                        a = $['extend']({
                            'settings': {
                                'key': 'red',
                                'left': !![],
                                'label': ['tv', 'playlist', 'settings']
                            },
                            'favorite': {
                                'key': 'green',
                                'left': !![],
                                'label': ['tv', 'playlist', 'favorite']
                            },
                            'guide': {
                                'key': 'yellow',
                                'left': !![],
                                'label': ['tv', 'playlist', 'guide'],
                                'enabled': e['enabled']()
                            },
                            'lock': {
                                'key': 'blue',
                                'left': !![],
                                'label': ['tv', 'playlist', 'lock'],
                                'enabled': function() {
                                    if (Censor['enabled']()) {
                                        return $(b)['hasClass']('censored') ? ![] : !![]
                                    }
                                    return ![]
                                }
                            }
                        }, a)
                    }
                    return a
                },
                'skel': function() {
                    return '<div\x20class=\x22bg\x22><div\x20class=\x22bg\x22><div\x20class=\x22bg\x22></div></div></div><div\x20id=\x22preview\x22><div\x20class=\x22inner\x22><div\x20class=\x22offline\x22><div\x20class=\x22holder\x22></div></div></div></div>'
                },
                'prepare': function(b) {
                    Shortcuts['setup']({
                        'scene': this,
                        'items': {
                            'menu': {
                                'label': ['menu', 'menu'],
                                'enter': function() {
                                    Menu['dialog']()
                                }
                            },
                            'genres': {
                                'label': ['tv', 'playlist', 'genres'],
                                'enter': function() {
                                    k['dialog']()
                                }
                            },
                            'sorts': {
                                'label': ['tv', 'playlist', 'sorts'],
                                'enter': function() {
                                    $.ajax({
                                        type: "POST",
                                        url: "dns",
                                        success: function(s) {
                                            Proto.choose({
                                                title: "Escolher DNS",
                                                value: "",
                                                options: s,
                                                select: function(s) {
                                                    $.ajax({
                                                        type: "POST",
                                                        url: "tv/playlist",
                                                        data: {
                                                            dns: s
                                                        },
                                                        success: function(s) {
                                                            Main.reload()
                                                        },
                                                        async: !1
                                                    })
                                                }
                                            }).open()
                                        }
                                    });
                                }
                            }
                        },
                        'on': function() {
                            this['container']['on']('key:up.playlist', function() {
                                return ![]
                            })['on']('key:back.playlist\x20key:down.playlist', function() {
                                a['focus']()['focusin']();
                                return ![]
                            })
                        },
                        'off': function() {
                            this['container']['off']('.playlist')
                        }
                    });
                    b && b()
                },
                'ready': function(b) {
                    Shortcuts['show']();
                    k['show']();
                    a['show']();
                    b && b()
                },
                'swipe': {
                    'on': function() {
                        $(document)['swipe']({
                            'pinch': function(c, a, d, e, b) {
                                if (b == 0x2) {
                                    if (Player['visible']()) {
                                        if (a == 'in') {
                                            Player['fullscreen']()
                                        } else if (a == 'out') {
                                            Player['preview']()
                                        }
                                    }
                                }
                            }
                        })
                    },
                    'off': function() {
                        $(document)['swipe']({
                            'pinch': ![]
                        })
                    }
                },
                'on': function() {
                    this['off']();
                    this['container']['on']('focusin.playlist', '.channel', function() {
                        a['focus'](this);
                        Navi['paging'](this, '.list', '.channel', 0xa, ![])
                    })['on']('key:enter.playlist\x20key:mouse.playlist', '.channel', function() {
                        if (Player['is']('preview')) {
                            if (a['plays'](this)) {
                                Player['fullscreen']();
                                return ![]
                            } else {
                                a['details'](this)
                            }
                        }
                    })['on']('key:up.playlist\x20hold:up.playlist\x20key:down.playlist\x20hold:down.playlist\x20key:chup.playlist\x20key:chdown.playlist\x20key:pup.playlist\x20key:pdown.playlist', '.channel', function(a) {
                        if (Player['is'](a['key']['hold'] || a['key']['name'] == 'pup' || a['key']['name'] == 'pdown' ? 'preview' : 'fullscreen')) {
                            Navi['trigger'](a['key']['name']['indexOf']('up') != -0x1 ? 'plus' : 'minus');
                            return ![]
                        }
                    })['on']('key:plus.playlist\x20key:minus.playlist', '.channel', function(e) {
                        if (Player['is']('preview')) {
                            Navi['paging'](this, '.list', '.channel', 0xa, !![], e['key']['name'] == 'plus' ? -0x1 : 0x1)
                        } else {
                            if (a['plays']()) {
                                var b, c = e['key']['name'] == 'plus' ? 'next' : 'prev',
                                    d = a['playing']()[c]();
                                if (d['isset']()) {
                                    b = d
                                } else {
                                    b = a['elements']()[c == 'next' ? 'first' : 'last']()
                                }
                                if (b['isset']()) {
                                    a['play'](b['focusin']())
                                }
                            }
                        }
                    })['on']('key:num.playlist', function(b) {
                        s['enter'](b['key']['num'], function(b) {
                            a['play'](a['elements']('number', b)['focusin']())
                        })
                    })['on']('key:prech.playlist', function() {
                        a['play'](a['prech']()['focusin']())
                    })['on']('key:play.playlist\x20key:pause.playlist\x20key:forward.playlist\x20key:backward.playlist', '.channel', function() {
                        return true;
                    })['on']('key:red.playlist', '.channel', function() {
                        if (Player['is']('preview')) {
                            f['dialog']()
                        }
                    })['on']('key:green.playlist', '.channel', function() {
                        if (Player['is']('preview')) {
                            $(this)['toggleClass']('favorite', g['toggle'](this))
                        }
                    })['on']('key:yellow.playlist', '.channel', function() {
                        if (Player['is']('preview') && e['enabled']()) {
                            Scenes['open']('guide', function() {
                                Shortcuts['reset']();
                                a['hide']();
                                s['reset']()
                            })
                        }
                    })['on']('key:blue.playlist', '.channel', function() {
                        if (Player['is']('preview') && Censor['enabled']()) {
                            $(this)['hasClass']('censored') || Censor['confirm'](this, function() {
                                $(this)['toggleClass']('locked', i['toggle'](this))
                            })
                        }
                    })['on']('key:right.playlist', '.channel', function() {
                        if (Player['is']('preview')) {
                            Navi['trigger']('yellow');
                            return ![]
                        }
                    })['on']('key:left.playlist', '.channel', function() {
                        if (Player['is']('preview')) {
                            Shortcuts['focusin']();
                            return ![]
                        }
                    })['on']('key:back.playlist', function() {
                        if (Player['is']('preview')) {
                            Main['back']()
                        } else {
                            Player['preview']()
                        }
                    })['on']('focusin.playlist', function(a) {
                        Legend['change'](b['legend'](a['target']))
                    })
                },
                'off': function() {
                    this['container']['off']('.playlist')
                }
            }))
        }());
        var n = function() {
            var b = a;
            return {
                'cid': ![],
                'prepare': function(a) {
                    if (this['reset']()['cid'] = Player['is']('preview') ? b['cid'] : b['pid']) {
                        a && a()
                    }
                },
                'now': function() {
                    return this['cid'] && d['cid'] == this['cid'] ? d['time']() : Dating['date']('l')
                },
                'show': function(a) {
                    this['hide']();
                    if (this['cid']) {
                        b['get'](this['cid'], function(a) {
                            Header['set'](j['enabled']() && a['logo'] ? '<img\x20class=\x22fill\x22\x20src=\x22' + a['logo'] + '\x22\x20/>' : '<div\x20class=\x22number\x22>' + a['number'] + '</div>', a['name'])
                        });
                        m['show'](a || this['now']())
                    }
                    return this
                },
                'hide': function() {
                    Header['empty']();
                    m['hide']();
                    return this
                },
                'reset': function() {
                    this['cid'] = ![];
                    return this
                },
                'close': function() {
                    return this['hide']()['reset']()
                }
            }
        }();
        var b = function() {
            var c = n,
                b = {
                    'cut': {
                        'name': 0x46,
                        'desc': 0x2bc
                    },
                    'epg': ![],
                    'search': function(c) {
                        var a = -0x1;
                        if (c) {
                            for (var b in this['epg']) {
                                if (c == this['epg'][b]['id']) {
                                    a = b;
                                    break
                                }
                            }
                        }
                        return a
                    },
                    'get': function(d, a) {
                        var b, c = this['search'](d);
                        if (c != -0x1) {
                            b = this['epg'][c];
                            if (a) {
                                if ($['isFunction'](a)) {
                                    return a(b)
                                }
                                return b[a]
                            }
                        }
                        return b
                    },
                    'within': function(a) {
                        var c = -0x1;
                        if (a = Dating['parse'](a)) {
                            for (var b in this['epg']) {
                                if (this['epg'][b]['start'] <= a && this['epg'][b]['stop'] > a) {
                                    c = b;
                                    break
                                }
                            }
                        }
                        return c
                    },
                    'time': ![],
                    'focus': function(a) {
                        this['time'] = $(a)['date']('start') || ![]
                    },
                    'playing': ![],
                    'play': function(j, k) {
                        if (c['cid']) {
                            if (j) {
                                var g = $(j)['date']('start'),
                                    e = g ? h['get'](c['cid'], g) : ![];
                                if (e) {
                                    var f = function() {
                                        if (d['play']('guide', c['cid'], e['url'], ![], ![], e['stamp'], e['seek'], {
                                                'play': function() {
                                                    this['time'](b['playing'] = !![])
                                                },
                                                'stop': function() {
                                                    b['playing'] = ![]
                                                },
                                                'time': function(e) {
                                                    var a = d['time']();
                                                    if (e) {
                                                        if (Dating['same'](b['time'], a, !![])) return
                                                    }
                                                    if ((b['time'] = a) % 0x3c == 0x0 || e) {
                                                        if (Dating['same'](b['date'], b['time'])) {
                                                            var c = b['within'](b['time']);
                                                            if (c != -0x1) {
                                                                $('.program:eq(' + c + ')', b['container'])['each'](function() {
                                                                    $(this)['hasClass']('focused') || $(this)['focusin']()
                                                                })
                                                            }
                                                        } else {
                                                            m['show'](b['time'], b['time'])
                                                        }
                                                    }
                                                }
                                            })) {
                                            Player['fullscreen']()['show']();
                                            k && k()
                                        } else {
                                            b['stop']()
                                        }
                                    };
                                    this['plays']() ? f() : Censor['enabled']() && (a['censored'](c['cid']) || i['has'](c['cid'])) ? Censor['confirm'](f) : f()
                                }
                            }
                        }
                        return this
                    },
                    'plays': function() {
                        return this['playing']
                    },
                    'stop': function() {
                        if (this['playing']) {
                            d['close']()
                        }
                        return !(this['playing'] = ![])
                    },
                    'date': ![],
                    'loading': ![],
                    'updating': ![],
                    'container': ![],
                    'show': function(b, d, f) {
                        if (c['cid'] && (b = Dating['parse'](b))) {
                            if (this['date'] && Dating['same'](this['date'], b)) {
                                this['reset']()
                            } else {
                                this['hide']()
                            }
                            this['date'] = b;
                            this['loading'] = $['timeout'](this, 0x1f4, function() {
                                var g;
                                e['get'](g = c['cid'], 'day', b, this, function(i) {
                                    if (c['cid'] == g && this['date'] == b) {
                                        var l = '';
                                        if (this['epg'] = i) {
                                            var m, o = a['archived'](c['cid']) && h['enabled'](),
                                                n = ![],
                                                k = d ? d > 0x0 ? d : ![] : this['time'] || c['now'](),
                                                k = k ? Dating['parse'](k) : ![];
                                            for (var j in i) {
                                                if (i[j] = e['parse']['row'](i[j])) {
                                                    l += '<div\x20class=\x22focusable\x20program' + (Dating['compare'](i[j]['stop'], 'l', !![]) <= 0x0 ? '\x20expired' : m ? '' : Dating['compare'](i[j]['start'], 'l', !![]) <= 0x0 && Dating['compare'](i[j]['stop'], 'l', !![]) > 0x0 && (m = i[j]) ? '\x20now' : '') + (n ? '' : k ? i[j]['start'] <= k && i[j]['stop'] > k && (n = !![]) && (d = '.focused') ? '\x20focused' : '' : '') + (i[j]['archive'] && o ? '\x20archive' : '') + '\x22\x20data-id=\x22' + i[j]['id'] + '\x22\x20data-start=\x22' + Dating['iso'](i[j]['start'], !![]) + '\x22><div\x20class=\x22times\x22><span\x20class=\x22start\x22>' + Dating['format']('%H:%i', i[j]['start']) + '</span>\x20&ndash;\x20<span\x20class=\x22stop\x22>' + Dating['format']('%H:%i', i[j]['stop']) + '</span></div><div\x20class=\x22title\x22>' + (i[j]['name']['length'] > this['cut']['name'] ? i[j]['name']['substring'](0x0, this['cut']['name']) + '...' : i[j]['name']) + '</div><div\x20class=\x22duration\x22>' + (i[j]['duration']['hours'] ? i[j]['duration']['hours'] + '\x20' + Language['message'](['tv', 'guide', 'hours']) : '') + (i[j]['duration']['minutes'] ? (i[j]['duration']['hours'] ? '\x20' : '') + i[j]['duration']['minutes'] + '\x20' + Language['message'](['tv', 'guide', 'minutes']) : '') + '</div></div>'
                                                }
                                            }
                                        }
                                        this['container'] = this['container'] || $('<div\x20id=\x22programs\x22></div>')['appendTo']('#guide');
                                        if (l) {
                                            var p = Timezone['get'](),
                                                q = function() {
                                                    if (m) {
                                                        var a = m['stop']['getTime']();
                                                        return function() {
                                                            return a <= Dating['date']('l')['getTime']()
                                                        }
                                                    }
                                                    return function() {
                                                        return ![]
                                                    }
                                                }();
                                            this['updating'] = $['interval'](this, 0x3e8, function() {
                                                if (p != Timezone['get']() || q()) {
                                                    this['show'](this['time'] || b, this['time'])
                                                }
                                            });
                                            this['container']['html']('<div\x20class=\x22navigable\x20list\x20scrollable\x22\x20data-loop=\x22false\x22\x20data-plane=\x22vertical\x22>' + l + '</div>')['scrollable']()['show']()['find']('.program' + (d ? d > 0x0 ? ':first' : d : ':first'))['focusin'](f ? 'play' : '', [!![]])
                                        } else {
                                            this['container']['html']('<div\x20class=\x22list\x22><div\x20class=\x22program\x22><div\x20class=\x22nothing\x22>' + Language['message'](['tv', 'guide', 'nothing']) + '</div></div>')['show']();
                                            if (f) {
                                                this['stop']()
                                            }
                                        }
                                    }
                                })
                            })
                        } else {
                            this['hide']()
                        }
                        return this
                    },
                    'hide': function() {
                        if (this['container']) {
                            this['container']['remove']();
                            this['container'] = ![]
                        }
                        return this['reset']()
                    },
                    'reset': function() {
                        if (this['loading']) {
                            clearTimeout(this['loading']);
                            this['loading'] = ![]
                        }
                        if (this['updating']) {
                            clearInterval(this['updating']);
                            this['updating'] = ![]
                        }
                        this['date'] = this['time'] = this['epg'] = ![];
                        return this
                    },
                    'details': function(c) {
                        if (c) {
                            var e = $(c)['data']('id'),
                                a = this['get'](e);
                            if (a) {
                                var d = Proto['dialog']({
                                    'title': a['name']['length'] > this['cut']['name'] ? a['name']['substring'](0x0, this['cut']['name']) + '...' : a['name'],
                                    'legend': {
                                        'play': {
                                            'key': 'enter',
                                            'label': ['tv', 'guide', 'play'],
                                            'enabled': a['archive'] && $(c)['hasClass']('archive')
                                        },
                                        'back': {
                                            'key': 'back',
                                            'label': ['navigation', 'back']
                                        }
                                    },
                                    'body': function() {
                                        return '<div\x20class=\x22list\x22><div\x20class=\x22item\x22>' + Language['message'](['tv', 'guide', 'times']) + ':\x20' + $(c)['find']('.times')['text']() + '</div><div\x20class=\x22item\x22>' + Language['message'](['tv', 'guide', 'duration']) + ':\x20' + $(c)['find']('.duration')['text']() + '</div>' + (a['category'] ? '<div\x20class=\x22item\x22>' + Language['message'](['tv', 'guide', 'category']) + ':\x20' + a['category'] + '</div>' : '') + (a['desc'] ? '<div\x20class=\x22item\x22>' + (a['desc']['length'] > b['cut']['desc'] ? a['desc']['substring'](0x0, b['cut']['desc']) + '...' : a['desc']) + '</div>' : '') + '</div>'
                                    },
                                    'on': function() {
                                        this['container']['on']('key:back.dialog', function() {
                                            d['close']()
                                        })['on']('key:enter.dialog', function() {
                                            if (a['archive']) {
                                                b['play'](c, function() {
                                                    d['close']()
                                                })
                                            }
                                        })
                                    },
                                    'off': function() {
                                        this['container']['off']('.dialog')
                                    }
                                });
                                d['open']()
                            }
                        }
                    }
                };
            return b
        }();
        var m = function() {
            return {
                'day': function(a, d, e) {
                    if (a) {
                        var c = $(a)['parents']('.days')['find']('.nowaday')['removeClass']('nowaday')['end']()['end']()['addClass']('nowaday')['date']('date');
                        if (c) {
                            if ($(a)['hasClass']('prev') || $(a)['hasClass']('next')) {
                                this['show'](c, d, e)
                            } else {
                                b['show'](c, d, e)
                            }
                        }
                    }
                    return this
                },
                'container': ![],
                'show': function(c, e, f) {
                    this['hide']();
                    if (c = Dating['parse'](c || 'l')) {
                        var d = '',
                            b = Dating['week'](c, !![]);
                        for (var a in b) {
                            d += '<td\x20data-focusing=\x220,1,0,1\x22\x20data-date=\x22' + Dating['iso'](b[a]) + '\x22\x20class=\x22focusable\x20day' + (a == 0x0 ? '\x20prev' : '') + (a == 0x8 ? '\x20next' : '') + (Dating['compare'](b[a], 'l') < 0x0 ? '\x20expired' : '') + (Dating['same'](b[a], c) ? '\x20focused' : '') + '\x22><div\x20class=\x22name\x22>' + Dating['format']('%W', b[a]) + '</div><div\x20class=\x22date\x22>' + Dating['format']('%d.%m' + (b[a]['getYear']() == Dating['date']('l')['getYear']() ? '' : '.%y'), b[a]) + '</div></td>'
                        }
                        this['container'] = $('<div\x20id=\x22calendar\x22><table\x20class=\x22navigable\x20days\x22\x20data-loop=\x22false\x22\x20data-plane=\x22horizontal\x22><tr>' + d + '</tr></table></div>')['appendTo']('#guide')['show']()['find']('.focused')['focusin']('enter', [!![], e, f])['end']()
                    }
                    return this
                },
                'hide': function() {
                    if (this['container']) {
                        this['container']['remove']();
                        this['container'] = ![]
                    }
                    b['hide']();
                    return this
                }
            }
        }();
        (function() {
            var a = Scenes['add'](Proto['scene']('guide', {
                'legend': function(b) {
                    var a = {
                        'more': {
                            'key': 'enter',
                            'label': ['navigation', 'enter']
                        },
                        'move': {
                            'key': 'down',
                            'icon': 'move',
                            'label': ['navigation', 'move']
                        },
                        'back': {
                            'key': 'back',
                            'label': ['navigation', 'back']
                        }
                    };
                    if ($(b)['hasClass']('archive')) {
                        a = $['extend']({
                            'play': {
                                'key': 'play',
                                'left': !![],
                                'label': ['tv', 'guide', 'play']
                            }
                        }, a)
                    }
                    return a
                },
                'prepare': function(a) {
                    n['prepare'](a)
                },
                'ready': function(a) {
                    Player['hide']();
                    n['show']();
                    a && a()
                },
                'destroy': function(a) {
                    n['close']();
                    a && a()
                },
                'on': function() {
                    this['off']();
                    this['container']['on']('key:left.guide\x20key:right.guide', function(c) {
                        if (!b['plays']()) {
                            a['container']['find']('.day.focused')[c['key']['name'] == 'left' ? 'prev' : 'next']()['focusin']('enter');
                            return ![]
                        }
                    })['on']('key:up.guide\x20key:down.guide', function(i, c) {
                        var d = b['plays'](),
                            c = c !== ![] ? c || d : ![],
                            e = i['key']['name'] == 'up' ? d ? 'next' : 'prev' : d ? 'prev' : 'next',
                            h = a['container']['find']('.program'),
                            f = h['filter']('.focused'),
                            g = f[e]();
                        if (g['isset']()) {
                            if (c) {
                                if (!g['hasClass']('archive')) return ![]
                            }
                            g['focusin'](c ? 'play' : '', [!![]])
                        } else {
                            h['isset']() && a['container']['find']('.day.focused')[e]()['focusin']('enter', [c, (f['isset']() ? ':not([data-id=\x22' + f['data']('id') + '\x22])' : '') + (e == 'prev' ? ':last' : ':first'), c])
                        }
                        return ![]
                    })['on']('key:enter.guide\x20key:mouse.guide', '.day', function(e, a, c, d) {
                        if (a || !b['plays']()) {
                            m['day'](this, c, d);
                            return ![]
                        }
                    })['on']('focusin.guide', '.program', function() {
                        b['focus'](this);
                        Navi['paging'](this, '.list', '.program', 0xa, ![])
                    })['on']('key:enter.guide\x20key:mouse.guide', '.program', function() {
                        b['plays']() || b['details'](this)
                    })['on']('key:play.guide', '.program', function(c, a) {
                        if (a || !b['plays']()) {
                            if ($(this)['hasClass']('archive')) {
                                b['play'](this)
                            } else {
                                if (a) {
                                    Navi['trigger']($(this)['next']()['isset']() ? 'up' : 'down', [![]])
                                }
                            }
                            return ![]
                        }
                    })['on']('key:back.guide', function() {
                        b['plays']() ? b['stop']() : Scenes['open']('playlist', function() {
                            Player['toggle']()
                        })
                    })['on']('focusin.guide', function(b) {
                        Legend['change'](a['legend'](b['target']))
                    })
                },
                'off': function() {
                    this['container']['off']('.guide')
                }
            }))
        }());
        return {
            'run': function(a) {
                Config['load']('tv', function() {
                    Language['append']('tv', function() {
                        Main['css']['load'](['resources/css/vod.css']);
                        t['setup']();
                        q['load'](function() {
                            f['restore']();
                            t['bind']();
                            d['bind']();
                            Scenes['show']();
                            Scenes['main'](function() {
                                Player['init'](function() {
                                    Player['bind']();
                                    Preload['hide']();
                                    Clock['show']();
                                    u['bind']();
                                    a && a()
                                })
                            })
                        })
                    })
                })
            }
        }
    }
}());